import 'package:flutter/widgets.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

///
/// Gerado para: font_awesome_flutter: 10.3.0
///
class IconHelper {
  ///
  ///
  ///
  static FaIcon faIcon(
    String iconName, {
    IconData defaultIconData = FontAwesomeIcons.solidCircle,
  }) =>
      FaIcon(iconData(iconName, defaultIconData: defaultIconData));

  ///
  ///
  ///
  static IconData iconData(
    String iconName, {
    IconData defaultIconData = FontAwesomeIcons.solidCircle,
  }) =>
      data[iconName] ?? defaultIconData;

  ///
  ///
  ///
  static String iconName(IconData iconData) =>
      data.keys.firstWhere((String key) => data[key] == iconData);

  ///
  ///
  ///
  static final Map<String, IconData> data = <String, IconData>{
    'zero': FontAwesomeIcons.zero,
    'one': FontAwesomeIcons.one,
    'two': FontAwesomeIcons.two,
    'three': FontAwesomeIcons.three,
    'four': FontAwesomeIcons.four,
    'five': FontAwesomeIcons.five,
    'six': FontAwesomeIcons.six,
    'seven': FontAwesomeIcons.seven,
    'eight': FontAwesomeIcons.eight,
    'nine': FontAwesomeIcons.nine,
    'fortyTwoGroup': FontAwesomeIcons.fortyTwoGroup,
    'innosoft': FontAwesomeIcons.fortyTwoGroup,
    'fiveHundredPx': FontAwesomeIcons.fiveHundredPx,
    'a': FontAwesomeIcons.a,
    'accessibleIcon': FontAwesomeIcons.accessibleIcon,
    'accusoft': FontAwesomeIcons.accusoft,
    'solidAddressBook': FontAwesomeIcons.solidAddressBook,
    'solidContactBook': FontAwesomeIcons.solidAddressBook,
    'addressBook': FontAwesomeIcons.addressBook,
    'contactBook': FontAwesomeIcons.addressBook,
    'solidAddressCard': FontAwesomeIcons.solidAddressCard,
    'solidContactCard': FontAwesomeIcons.solidAddressCard,
    'solidVcard': FontAwesomeIcons.solidAddressCard,
    'addressCard': FontAwesomeIcons.addressCard,
    'contactCard': FontAwesomeIcons.addressCard,
    'vcard': FontAwesomeIcons.addressCard,
    'adn': FontAwesomeIcons.adn,
    'adversal': FontAwesomeIcons.adversal,
    'affiliatetheme': FontAwesomeIcons.affiliatetheme,
    'airbnb': FontAwesomeIcons.airbnb,
    'algolia': FontAwesomeIcons.algolia,
    'alignCenter': FontAwesomeIcons.alignCenter,
    'alignJustify': FontAwesomeIcons.alignJustify,
    'alignLeft': FontAwesomeIcons.alignLeft,
    'alignRight': FontAwesomeIcons.alignRight,
    'alipay': FontAwesomeIcons.alipay,
    'amazon': FontAwesomeIcons.amazon,
    'amazonPay': FontAwesomeIcons.amazonPay,
    'amilia': FontAwesomeIcons.amilia,
    'anchor': FontAwesomeIcons.anchor,
    'anchorCircleCheck': FontAwesomeIcons.anchorCircleCheck,
    'anchorCircleExclamation': FontAwesomeIcons.anchorCircleExclamation,
    'anchorCircleXmark': FontAwesomeIcons.anchorCircleXmark,
    'anchorLock': FontAwesomeIcons.anchorLock,
    'android': FontAwesomeIcons.android,
    'angellist': FontAwesomeIcons.angellist,
    'angleDown': FontAwesomeIcons.angleDown,
    'angleLeft': FontAwesomeIcons.angleLeft,
    'angleRight': FontAwesomeIcons.angleRight,
    'angleUp': FontAwesomeIcons.angleUp,
    'anglesDown': FontAwesomeIcons.anglesDown,
    'angleDoubleDown': FontAwesomeIcons.anglesDown,
    'anglesLeft': FontAwesomeIcons.anglesLeft,
    'angleDoubleLeft': FontAwesomeIcons.anglesLeft,
    'anglesRight': FontAwesomeIcons.anglesRight,
    'angleDoubleRight': FontAwesomeIcons.anglesRight,
    'anglesUp': FontAwesomeIcons.anglesUp,
    'angleDoubleUp': FontAwesomeIcons.anglesUp,
    'angrycreative': FontAwesomeIcons.angrycreative,
    'angular': FontAwesomeIcons.angular,
    'ankh': FontAwesomeIcons.ankh,
    'appStore': FontAwesomeIcons.appStore,
    'appStoreIos': FontAwesomeIcons.appStoreIos,
    'apper': FontAwesomeIcons.apper,
    'apple': FontAwesomeIcons.apple,
    'applePay': FontAwesomeIcons.applePay,
    'appleWhole': FontAwesomeIcons.appleWhole,
    'appleAlt': FontAwesomeIcons.appleWhole,
    'archway': FontAwesomeIcons.archway,
    'arrowDown': FontAwesomeIcons.arrowDown,
    'arrowDown19': FontAwesomeIcons.arrowDown19,
    'sortNumericAsc': FontAwesomeIcons.arrowDown19,
    'sortNumericDown': FontAwesomeIcons.arrowDown19,
    'arrowDown91': FontAwesomeIcons.arrowDown91,
    'sortNumericDesc': FontAwesomeIcons.arrowDown91,
    'sortNumericDownAlt': FontAwesomeIcons.arrowDown91,
    'arrowDownAZ': FontAwesomeIcons.arrowDownAZ,
    'sortAlphaAsc': FontAwesomeIcons.arrowDownAZ,
    'sortAlphaDown': FontAwesomeIcons.arrowDownAZ,
    'arrowDownLong': FontAwesomeIcons.arrowDownLong,
    'longArrowDown': FontAwesomeIcons.arrowDownLong,
    'arrowDownShortWide': FontAwesomeIcons.arrowDownShortWide,
    'sortAmountDesc': FontAwesomeIcons.arrowDownShortWide,
    'sortAmountDownAlt': FontAwesomeIcons.arrowDownShortWide,
    'arrowDownUpAcrossLine': FontAwesomeIcons.arrowDownUpAcrossLine,
    'arrowDownUpLock': FontAwesomeIcons.arrowDownUpLock,
    'arrowDownWideShort': FontAwesomeIcons.arrowDownWideShort,
    'sortAmountAsc': FontAwesomeIcons.arrowDownWideShort,
    'sortAmountDown': FontAwesomeIcons.arrowDownWideShort,
    'arrowDownZA': FontAwesomeIcons.arrowDownZA,
    'sortAlphaDesc': FontAwesomeIcons.arrowDownZA,
    'sortAlphaDownAlt': FontAwesomeIcons.arrowDownZA,
    'arrowLeft': FontAwesomeIcons.arrowLeft,
    'arrowLeftLong': FontAwesomeIcons.arrowLeftLong,
    'longArrowLeft': FontAwesomeIcons.arrowLeftLong,
    'arrowPointer': FontAwesomeIcons.arrowPointer,
    'mousePointer': FontAwesomeIcons.arrowPointer,
    'arrowRight': FontAwesomeIcons.arrowRight,
    'arrowRightArrowLeft': FontAwesomeIcons.arrowRightArrowLeft,
    'exchange': FontAwesomeIcons.arrowRightArrowLeft,
    'arrowRightFromBracket': FontAwesomeIcons.arrowRightFromBracket,
    'signOut': FontAwesomeIcons.arrowRightFromBracket,
    'arrowRightLong': FontAwesomeIcons.arrowRightLong,
    'longArrowRight': FontAwesomeIcons.arrowRightLong,
    'arrowRightToBracket': FontAwesomeIcons.arrowRightToBracket,
    'signIn': FontAwesomeIcons.arrowRightToBracket,
    'arrowRightToCity': FontAwesomeIcons.arrowRightToCity,
    'arrowRotateLeft': FontAwesomeIcons.arrowRotateLeft,
    'arrowLeftRotate': FontAwesomeIcons.arrowRotateLeft,
    'arrowRotateBack': FontAwesomeIcons.arrowRotateLeft,
    'arrowRotateBackward': FontAwesomeIcons.arrowRotateLeft,
    'undo': FontAwesomeIcons.arrowRotateLeft,
    'arrowRotateRight': FontAwesomeIcons.arrowRotateRight,
    'arrowRightRotate': FontAwesomeIcons.arrowRotateRight,
    'arrowRotateForward': FontAwesomeIcons.arrowRotateRight,
    'redo': FontAwesomeIcons.arrowRotateRight,
    'arrowTrendDown': FontAwesomeIcons.arrowTrendDown,
    'arrowTrendUp': FontAwesomeIcons.arrowTrendUp,
    'arrowTurnDown': FontAwesomeIcons.arrowTurnDown,
    'levelDown': FontAwesomeIcons.arrowTurnDown,
    'arrowTurnUp': FontAwesomeIcons.arrowTurnUp,
    'levelUp': FontAwesomeIcons.arrowTurnUp,
    'arrowUp': FontAwesomeIcons.arrowUp,
    'arrowUp19': FontAwesomeIcons.arrowUp19,
    'sortNumericUp': FontAwesomeIcons.arrowUp19,
    'arrowUp91': FontAwesomeIcons.arrowUp91,
    'sortNumericUpAlt': FontAwesomeIcons.arrowUp91,
    'arrowUpAZ': FontAwesomeIcons.arrowUpAZ,
    'sortAlphaUp': FontAwesomeIcons.arrowUpAZ,
    'arrowUpFromBracket': FontAwesomeIcons.arrowUpFromBracket,
    'arrowUpFromGroundWater': FontAwesomeIcons.arrowUpFromGroundWater,
    'arrowUpFromWaterPump': FontAwesomeIcons.arrowUpFromWaterPump,
    'arrowUpLong': FontAwesomeIcons.arrowUpLong,
    'longArrowUp': FontAwesomeIcons.arrowUpLong,
    'arrowUpRightDots': FontAwesomeIcons.arrowUpRightDots,
    'arrowUpRightFromSquare': FontAwesomeIcons.arrowUpRightFromSquare,
    'externalLink': FontAwesomeIcons.arrowUpRightFromSquare,
    'arrowUpShortWide': FontAwesomeIcons.arrowUpShortWide,
    'sortAmountUpAlt': FontAwesomeIcons.arrowUpShortWide,
    'arrowUpWideShort': FontAwesomeIcons.arrowUpWideShort,
    'sortAmountUp': FontAwesomeIcons.arrowUpWideShort,
    'arrowUpZA': FontAwesomeIcons.arrowUpZA,
    'sortAlphaUpAlt': FontAwesomeIcons.arrowUpZA,
    'arrowsDownToLine': FontAwesomeIcons.arrowsDownToLine,
    'arrowsDownToPeople': FontAwesomeIcons.arrowsDownToPeople,
    'arrowsLeftRight': FontAwesomeIcons.arrowsLeftRight,
    'arrowsH': FontAwesomeIcons.arrowsLeftRight,
    'arrowsLeftRightToLine': FontAwesomeIcons.arrowsLeftRightToLine,
    'arrowsRotate': FontAwesomeIcons.arrowsRotate,
    'refresh': FontAwesomeIcons.arrowsRotate,
    'sync': FontAwesomeIcons.arrowsRotate,
    'arrowsSpin': FontAwesomeIcons.arrowsSpin,
    'arrowsSplitUpAndLeft': FontAwesomeIcons.arrowsSplitUpAndLeft,
    'arrowsToCircle': FontAwesomeIcons.arrowsToCircle,
    'arrowsToDot': FontAwesomeIcons.arrowsToDot,
    'arrowsToEye': FontAwesomeIcons.arrowsToEye,
    'arrowsTurnRight': FontAwesomeIcons.arrowsTurnRight,
    'arrowsTurnToDots': FontAwesomeIcons.arrowsTurnToDots,
    'arrowsUpDown': FontAwesomeIcons.arrowsUpDown,
    'arrowsV': FontAwesomeIcons.arrowsUpDown,
    'arrowsUpDownLeftRight': FontAwesomeIcons.arrowsUpDownLeftRight,
    'arrows': FontAwesomeIcons.arrowsUpDownLeftRight,
    'arrowsUpToLine': FontAwesomeIcons.arrowsUpToLine,
    'artstation': FontAwesomeIcons.artstation,
    'asterisk': FontAwesomeIcons.asterisk,
    'asymmetrik': FontAwesomeIcons.asymmetrik,
    'at': FontAwesomeIcons.at,
    'atlassian': FontAwesomeIcons.atlassian,
    'atom': FontAwesomeIcons.atom,
    'audible': FontAwesomeIcons.audible,
    'audioDescription': FontAwesomeIcons.audioDescription,
    'australSign': FontAwesomeIcons.australSign,
    'autoprefixer': FontAwesomeIcons.autoprefixer,
    'avianex': FontAwesomeIcons.avianex,
    'aviato': FontAwesomeIcons.aviato,
    'award': FontAwesomeIcons.award,
    'aws': FontAwesomeIcons.aws,
    'b': FontAwesomeIcons.b,
    'baby': FontAwesomeIcons.baby,
    'babyCarriage': FontAwesomeIcons.babyCarriage,
    'carriageBaby': FontAwesomeIcons.babyCarriage,
    'backward': FontAwesomeIcons.backward,
    'backwardFast': FontAwesomeIcons.backwardFast,
    'fastBackward': FontAwesomeIcons.backwardFast,
    'backwardStep': FontAwesomeIcons.backwardStep,
    'stepBackward': FontAwesomeIcons.backwardStep,
    'bacon': FontAwesomeIcons.bacon,
    'bacteria': FontAwesomeIcons.bacteria,
    'bacterium': FontAwesomeIcons.bacterium,
    'bagShopping': FontAwesomeIcons.bagShopping,
    'shoppingBag': FontAwesomeIcons.bagShopping,
    'bahai': FontAwesomeIcons.bahai,
    'haykal': FontAwesomeIcons.bahai,
    'bahtSign': FontAwesomeIcons.bahtSign,
    'ban': FontAwesomeIcons.ban,
    'cancel': FontAwesomeIcons.ban,
    'banSmoking': FontAwesomeIcons.banSmoking,
    'smokingBan': FontAwesomeIcons.banSmoking,
    'bandage': FontAwesomeIcons.bandage,
    'bandAid': FontAwesomeIcons.bandage,
    'bandcamp': FontAwesomeIcons.bandcamp,
    'bangladeshiTakaSign': FontAwesomeIcons.bangladeshiTakaSign,
    'barcode': FontAwesomeIcons.barcode,
    'bars': FontAwesomeIcons.bars,
    'navicon': FontAwesomeIcons.bars,
    'barsProgress': FontAwesomeIcons.barsProgress,
    'tasksAlt': FontAwesomeIcons.barsProgress,
    'barsStaggered': FontAwesomeIcons.barsStaggered,
    'reorder': FontAwesomeIcons.barsStaggered,
    'stream': FontAwesomeIcons.barsStaggered,
    'baseball': FontAwesomeIcons.baseball,
    'baseballBall': FontAwesomeIcons.baseball,
    'baseballBatBall': FontAwesomeIcons.baseballBatBall,
    'basketShopping': FontAwesomeIcons.basketShopping,
    'shoppingBasket': FontAwesomeIcons.basketShopping,
    'basketball': FontAwesomeIcons.basketball,
    'basketballBall': FontAwesomeIcons.basketball,
    'bath': FontAwesomeIcons.bath,
    'bathtub': FontAwesomeIcons.bath,
    'batteryEmpty': FontAwesomeIcons.batteryEmpty,
    'battery0': FontAwesomeIcons.batteryEmpty,
    'batteryFull': FontAwesomeIcons.batteryFull,
    'battery': FontAwesomeIcons.batteryFull,
    'battery5': FontAwesomeIcons.batteryFull,
    'batteryHalf': FontAwesomeIcons.batteryHalf,
    'battery3': FontAwesomeIcons.batteryHalf,
    'batteryQuarter': FontAwesomeIcons.batteryQuarter,
    'battery2': FontAwesomeIcons.batteryQuarter,
    'batteryThreeQuarters': FontAwesomeIcons.batteryThreeQuarters,
    'battery4': FontAwesomeIcons.batteryThreeQuarters,
    'battleNet': FontAwesomeIcons.battleNet,
    'bed': FontAwesomeIcons.bed,
    'bedPulse': FontAwesomeIcons.bedPulse,
    'procedures': FontAwesomeIcons.bedPulse,
    'beerMugEmpty': FontAwesomeIcons.beerMugEmpty,
    'beer': FontAwesomeIcons.beerMugEmpty,
    'behance': FontAwesomeIcons.behance,
    'solidBell': FontAwesomeIcons.solidBell,
    'bell': FontAwesomeIcons.bell,
    'bellConcierge': FontAwesomeIcons.bellConcierge,
    'conciergeBell': FontAwesomeIcons.bellConcierge,
    'solidBellSlash': FontAwesomeIcons.solidBellSlash,
    'bellSlash': FontAwesomeIcons.bellSlash,
    'bezierCurve': FontAwesomeIcons.bezierCurve,
    'bicycle': FontAwesomeIcons.bicycle,
    'bilibili': FontAwesomeIcons.bilibili,
    'bimobject': FontAwesomeIcons.bimobject,
    'binoculars': FontAwesomeIcons.binoculars,
    'biohazard': FontAwesomeIcons.biohazard,
    'bitbucket': FontAwesomeIcons.bitbucket,
    'bitcoin': FontAwesomeIcons.bitcoin,
    'bitcoinSign': FontAwesomeIcons.bitcoinSign,
    'bity': FontAwesomeIcons.bity,
    'blackTie': FontAwesomeIcons.blackTie,
    'blackberry': FontAwesomeIcons.blackberry,
    'blender': FontAwesomeIcons.blender,
    'blenderPhone': FontAwesomeIcons.blenderPhone,
    'blog': FontAwesomeIcons.blog,
    'blogger': FontAwesomeIcons.blogger,
    'bloggerB': FontAwesomeIcons.bloggerB,
    'bluetooth': FontAwesomeIcons.bluetooth,
    'bluetoothB': FontAwesomeIcons.bluetoothB,
    'bold': FontAwesomeIcons.bold,
    'bolt': FontAwesomeIcons.bolt,
    'zap': FontAwesomeIcons.bolt,
    'boltLightning': FontAwesomeIcons.boltLightning,
    'bomb': FontAwesomeIcons.bomb,
    'bone': FontAwesomeIcons.bone,
    'bong': FontAwesomeIcons.bong,
    'book': FontAwesomeIcons.book,
    'bookAtlas': FontAwesomeIcons.bookAtlas,
    'atlas': FontAwesomeIcons.bookAtlas,
    'bookBible': FontAwesomeIcons.bookBible,
    'bible': FontAwesomeIcons.bookBible,
    'bookBookmark': FontAwesomeIcons.bookBookmark,
    'bookJournalWhills': FontAwesomeIcons.bookJournalWhills,
    'journalWhills': FontAwesomeIcons.bookJournalWhills,
    'bookMedical': FontAwesomeIcons.bookMedical,
    'bookOpen': FontAwesomeIcons.bookOpen,
    'bookOpenReader': FontAwesomeIcons.bookOpenReader,
    'bookReader': FontAwesomeIcons.bookOpenReader,
    'bookQuran': FontAwesomeIcons.bookQuran,
    'quran': FontAwesomeIcons.bookQuran,
    'bookSkull': FontAwesomeIcons.bookSkull,
    'bookDead': FontAwesomeIcons.bookSkull,
    'bookTanakh': FontAwesomeIcons.bookTanakh,
    'tanakh': FontAwesomeIcons.bookTanakh,
    'solidBookmark': FontAwesomeIcons.solidBookmark,
    'bookmark': FontAwesomeIcons.bookmark,
    'bootstrap': FontAwesomeIcons.bootstrap,
    'borderAll': FontAwesomeIcons.borderAll,
    'borderNone': FontAwesomeIcons.borderNone,
    'borderTopLeft': FontAwesomeIcons.borderTopLeft,
    'borderStyle': FontAwesomeIcons.borderTopLeft,
    'boreHole': FontAwesomeIcons.boreHole,
    'bots': FontAwesomeIcons.bots,
    'bottleDroplet': FontAwesomeIcons.bottleDroplet,
    'bottleWater': FontAwesomeIcons.bottleWater,
    'bowlFood': FontAwesomeIcons.bowlFood,
    'bowlRice': FontAwesomeIcons.bowlRice,
    'bowlingBall': FontAwesomeIcons.bowlingBall,
    'box': FontAwesomeIcons.box,
    'boxArchive': FontAwesomeIcons.boxArchive,
    'archive': FontAwesomeIcons.boxArchive,
    'boxOpen': FontAwesomeIcons.boxOpen,
    'boxTissue': FontAwesomeIcons.boxTissue,
    'boxesPacking': FontAwesomeIcons.boxesPacking,
    'boxesStacked': FontAwesomeIcons.boxesStacked,
    'boxes': FontAwesomeIcons.boxesStacked,
    'boxesAlt': FontAwesomeIcons.boxesStacked,
    'braille': FontAwesomeIcons.braille,
    'brain': FontAwesomeIcons.brain,
    'brazilianRealSign': FontAwesomeIcons.brazilianRealSign,
    'breadSlice': FontAwesomeIcons.breadSlice,
    'bridge': FontAwesomeIcons.bridge,
    'bridgeCircleCheck': FontAwesomeIcons.bridgeCircleCheck,
    'bridgeCircleExclamation': FontAwesomeIcons.bridgeCircleExclamation,
    'bridgeCircleXmark': FontAwesomeIcons.bridgeCircleXmark,
    'bridgeLock': FontAwesomeIcons.bridgeLock,
    'bridgeWater': FontAwesomeIcons.bridgeWater,
    'briefcase': FontAwesomeIcons.briefcase,
    'briefcaseMedical': FontAwesomeIcons.briefcaseMedical,
    'broom': FontAwesomeIcons.broom,
    'broomBall': FontAwesomeIcons.broomBall,
    'quidditch': FontAwesomeIcons.broomBall,
    'quidditchBroomBall': FontAwesomeIcons.broomBall,
    'brush': FontAwesomeIcons.brush,
    'btc': FontAwesomeIcons.btc,
    'bucket': FontAwesomeIcons.bucket,
    'buffer': FontAwesomeIcons.buffer,
    'bug': FontAwesomeIcons.bug,
    'bugSlash': FontAwesomeIcons.bugSlash,
    'bugs': FontAwesomeIcons.bugs,
    'solidBuilding': FontAwesomeIcons.solidBuilding,
    'building': FontAwesomeIcons.building,
    'buildingCircleArrowRight': FontAwesomeIcons.buildingCircleArrowRight,
    'buildingCircleCheck': FontAwesomeIcons.buildingCircleCheck,
    'buildingCircleExclamation': FontAwesomeIcons.buildingCircleExclamation,
    'buildingCircleXmark': FontAwesomeIcons.buildingCircleXmark,
    'buildingColumns': FontAwesomeIcons.buildingColumns,
    'bank': FontAwesomeIcons.buildingColumns,
    'institution': FontAwesomeIcons.buildingColumns,
    'museum': FontAwesomeIcons.buildingColumns,
    'university': FontAwesomeIcons.buildingColumns,
    'buildingFlag': FontAwesomeIcons.buildingFlag,
    'buildingLock': FontAwesomeIcons.buildingLock,
    'buildingNgo': FontAwesomeIcons.buildingNgo,
    'buildingShield': FontAwesomeIcons.buildingShield,
    'buildingUn': FontAwesomeIcons.buildingUn,
    'buildingUser': FontAwesomeIcons.buildingUser,
    'buildingWheat': FontAwesomeIcons.buildingWheat,
    'bullhorn': FontAwesomeIcons.bullhorn,
    'bullseye': FontAwesomeIcons.bullseye,
    'burger': FontAwesomeIcons.burger,
    'hamburger': FontAwesomeIcons.burger,
    'buromobelexperte': FontAwesomeIcons.buromobelexperte,
    'burst': FontAwesomeIcons.burst,
    'bus': FontAwesomeIcons.bus,
    'busSimple': FontAwesomeIcons.busSimple,
    'busAlt': FontAwesomeIcons.busSimple,
    'businessTime': FontAwesomeIcons.businessTime,
    'briefcaseClock': FontAwesomeIcons.businessTime,
    'buyNLarge': FontAwesomeIcons.buyNLarge,
    'buysellads': FontAwesomeIcons.buysellads,
    'c': FontAwesomeIcons.c,
    'cableCar': FontAwesomeIcons.cableCar,
    'tram': FontAwesomeIcons.cableCar,
    'cakeCandles': FontAwesomeIcons.cakeCandles,
    'birthdayCake': FontAwesomeIcons.cakeCandles,
    'cake': FontAwesomeIcons.cakeCandles,
    'calculator': FontAwesomeIcons.calculator,
    'solidCalendar': FontAwesomeIcons.solidCalendar,
    'calendar': FontAwesomeIcons.calendar,
    'solidCalendarCheck': FontAwesomeIcons.solidCalendarCheck,
    'calendarCheck': FontAwesomeIcons.calendarCheck,
    'calendarDay': FontAwesomeIcons.calendarDay,
    'solidCalendarDays': FontAwesomeIcons.solidCalendarDays,
    'solidCalendarAlt': FontAwesomeIcons.solidCalendarDays,
    'calendarDays': FontAwesomeIcons.calendarDays,
    'calendarAlt': FontAwesomeIcons.calendarDays,
    'solidCalendarMinus': FontAwesomeIcons.solidCalendarMinus,
    'calendarMinus': FontAwesomeIcons.calendarMinus,
    'solidCalendarPlus': FontAwesomeIcons.solidCalendarPlus,
    'calendarPlus': FontAwesomeIcons.calendarPlus,
    'calendarWeek': FontAwesomeIcons.calendarWeek,
    'solidCalendarXmark': FontAwesomeIcons.solidCalendarXmark,
    'solidCalendarTimes': FontAwesomeIcons.solidCalendarXmark,
    'calendarXmark': FontAwesomeIcons.calendarXmark,
    'calendarTimes': FontAwesomeIcons.calendarXmark,
    'camera': FontAwesomeIcons.camera,
    'cameraAlt': FontAwesomeIcons.camera,
    'cameraRetro': FontAwesomeIcons.cameraRetro,
    'cameraRotate': FontAwesomeIcons.cameraRotate,
    'campground': FontAwesomeIcons.campground,
    'canadianMapleLeaf': FontAwesomeIcons.canadianMapleLeaf,
    'candyCane': FontAwesomeIcons.candyCane,
    'cannabis': FontAwesomeIcons.cannabis,
    'capsules': FontAwesomeIcons.capsules,
    'car': FontAwesomeIcons.car,
    'automobile': FontAwesomeIcons.car,
    'carBattery': FontAwesomeIcons.carBattery,
    'batteryCar': FontAwesomeIcons.carBattery,
    'carBurst': FontAwesomeIcons.carBurst,
    'carCrash': FontAwesomeIcons.carBurst,
    'carOn': FontAwesomeIcons.carOn,
    'carRear': FontAwesomeIcons.carRear,
    'carAlt': FontAwesomeIcons.carRear,
    'carSide': FontAwesomeIcons.carSide,
    'carTunnel': FontAwesomeIcons.carTunnel,
    'caravan': FontAwesomeIcons.caravan,
    'caretDown': FontAwesomeIcons.caretDown,
    'caretLeft': FontAwesomeIcons.caretLeft,
    'caretRight': FontAwesomeIcons.caretRight,
    'caretUp': FontAwesomeIcons.caretUp,
    'carrot': FontAwesomeIcons.carrot,
    'cartArrowDown': FontAwesomeIcons.cartArrowDown,
    'cartFlatbed': FontAwesomeIcons.cartFlatbed,
    'dollyFlatbed': FontAwesomeIcons.cartFlatbed,
    'cartFlatbedSuitcase': FontAwesomeIcons.cartFlatbedSuitcase,
    'luggageCart': FontAwesomeIcons.cartFlatbedSuitcase,
    'cartPlus': FontAwesomeIcons.cartPlus,
    'cartShopping': FontAwesomeIcons.cartShopping,
    'shoppingCart': FontAwesomeIcons.cartShopping,
    'cashRegister': FontAwesomeIcons.cashRegister,
    'cat': FontAwesomeIcons.cat,
    'ccAmazonPay': FontAwesomeIcons.ccAmazonPay,
    'ccAmex': FontAwesomeIcons.ccAmex,
    'ccApplePay': FontAwesomeIcons.ccApplePay,
    'ccDinersClub': FontAwesomeIcons.ccDinersClub,
    'ccDiscover': FontAwesomeIcons.ccDiscover,
    'ccJcb': FontAwesomeIcons.ccJcb,
    'ccMastercard': FontAwesomeIcons.ccMastercard,
    'ccPaypal': FontAwesomeIcons.ccPaypal,
    'ccStripe': FontAwesomeIcons.ccStripe,
    'ccVisa': FontAwesomeIcons.ccVisa,
    'cediSign': FontAwesomeIcons.cediSign,
    'centSign': FontAwesomeIcons.centSign,
    'centercode': FontAwesomeIcons.centercode,
    'centos': FontAwesomeIcons.centos,
    'certificate': FontAwesomeIcons.certificate,
    'chair': FontAwesomeIcons.chair,
    'chalkboard': FontAwesomeIcons.chalkboard,
    'blackboard': FontAwesomeIcons.chalkboard,
    'chalkboardUser': FontAwesomeIcons.chalkboardUser,
    'chalkboardTeacher': FontAwesomeIcons.chalkboardUser,
    'champagneGlasses': FontAwesomeIcons.champagneGlasses,
    'glassCheers': FontAwesomeIcons.champagneGlasses,
    'chargingStation': FontAwesomeIcons.chargingStation,
    'chartArea': FontAwesomeIcons.chartArea,
    'areaChart': FontAwesomeIcons.chartArea,
    'solidChartBar': FontAwesomeIcons.solidChartBar,
    'solidBarChart': FontAwesomeIcons.solidChartBar,
    'chartBar': FontAwesomeIcons.chartBar,
    'barChart': FontAwesomeIcons.chartBar,
    'chartColumn': FontAwesomeIcons.chartColumn,
    'chartGantt': FontAwesomeIcons.chartGantt,
    'chartLine': FontAwesomeIcons.chartLine,
    'lineChart': FontAwesomeIcons.chartLine,
    'chartPie': FontAwesomeIcons.chartPie,
    'pieChart': FontAwesomeIcons.chartPie,
    'chartSimple': FontAwesomeIcons.chartSimple,
    'check': FontAwesomeIcons.check,
    'checkDouble': FontAwesomeIcons.checkDouble,
    'checkToSlot': FontAwesomeIcons.checkToSlot,
    'voteYea': FontAwesomeIcons.checkToSlot,
    'cheese': FontAwesomeIcons.cheese,
    'chess': FontAwesomeIcons.chess,
    'solidChessBishop': FontAwesomeIcons.solidChessBishop,
    'chessBishop': FontAwesomeIcons.chessBishop,
    'chessBoard': FontAwesomeIcons.chessBoard,
    'solidChessKing': FontAwesomeIcons.solidChessKing,
    'chessKing': FontAwesomeIcons.chessKing,
    'solidChessKnight': FontAwesomeIcons.solidChessKnight,
    'chessKnight': FontAwesomeIcons.chessKnight,
    'solidChessPawn': FontAwesomeIcons.solidChessPawn,
    'chessPawn': FontAwesomeIcons.chessPawn,
    'solidChessQueen': FontAwesomeIcons.solidChessQueen,
    'chessQueen': FontAwesomeIcons.chessQueen,
    'solidChessRook': FontAwesomeIcons.solidChessRook,
    'chessRook': FontAwesomeIcons.chessRook,
    'chevronDown': FontAwesomeIcons.chevronDown,
    'chevronLeft': FontAwesomeIcons.chevronLeft,
    'chevronRight': FontAwesomeIcons.chevronRight,
    'chevronUp': FontAwesomeIcons.chevronUp,
    'child': FontAwesomeIcons.child,
    'childCombatant': FontAwesomeIcons.childCombatant,
    'childRifle': FontAwesomeIcons.childCombatant,
    'childDress': FontAwesomeIcons.childDress,
    'childReaching': FontAwesomeIcons.childReaching,
    'children': FontAwesomeIcons.children,
    'chrome': FontAwesomeIcons.chrome,
    'chromecast': FontAwesomeIcons.chromecast,
    'church': FontAwesomeIcons.church,
    'solidCircle': FontAwesomeIcons.solidCircle,
    'circle': FontAwesomeIcons.circle,
    'circleArrowDown': FontAwesomeIcons.circleArrowDown,
    'arrowCircleDown': FontAwesomeIcons.circleArrowDown,
    'circleArrowLeft': FontAwesomeIcons.circleArrowLeft,
    'arrowCircleLeft': FontAwesomeIcons.circleArrowLeft,
    'circleArrowRight': FontAwesomeIcons.circleArrowRight,
    'arrowCircleRight': FontAwesomeIcons.circleArrowRight,
    'circleArrowUp': FontAwesomeIcons.circleArrowUp,
    'arrowCircleUp': FontAwesomeIcons.circleArrowUp,
    'solidCircleCheck': FontAwesomeIcons.solidCircleCheck,
    'solidCheckCircle': FontAwesomeIcons.solidCircleCheck,
    'circleCheck': FontAwesomeIcons.circleCheck,
    'checkCircle': FontAwesomeIcons.circleCheck,
    'circleChevronDown': FontAwesomeIcons.circleChevronDown,
    'chevronCircleDown': FontAwesomeIcons.circleChevronDown,
    'circleChevronLeft': FontAwesomeIcons.circleChevronLeft,
    'chevronCircleLeft': FontAwesomeIcons.circleChevronLeft,
    'circleChevronRight': FontAwesomeIcons.circleChevronRight,
    'chevronCircleRight': FontAwesomeIcons.circleChevronRight,
    'circleChevronUp': FontAwesomeIcons.circleChevronUp,
    'chevronCircleUp': FontAwesomeIcons.circleChevronUp,
    'circleDollarToSlot': FontAwesomeIcons.circleDollarToSlot,
    'donate': FontAwesomeIcons.circleDollarToSlot,
    'solidCircleDot': FontAwesomeIcons.solidCircleDot,
    'solidDotCircle': FontAwesomeIcons.solidCircleDot,
    'circleDot': FontAwesomeIcons.circleDot,
    'dotCircle': FontAwesomeIcons.circleDot,
    'solidCircleDown': FontAwesomeIcons.solidCircleDown,
    'solidArrowAltCircleDown': FontAwesomeIcons.solidCircleDown,
    'circleDown': FontAwesomeIcons.circleDown,
    'arrowAltCircleDown': FontAwesomeIcons.circleDown,
    'circleExclamation': FontAwesomeIcons.circleExclamation,
    'exclamationCircle': FontAwesomeIcons.circleExclamation,
    'circleH': FontAwesomeIcons.circleH,
    'hospitalSymbol': FontAwesomeIcons.circleH,
    'circleHalfStroke': FontAwesomeIcons.circleHalfStroke,
    'adjust': FontAwesomeIcons.circleHalfStroke,
    'circleInfo': FontAwesomeIcons.circleInfo,
    'infoCircle': FontAwesomeIcons.circleInfo,
    'solidCircleLeft': FontAwesomeIcons.solidCircleLeft,
    'solidArrowAltCircleLeft': FontAwesomeIcons.solidCircleLeft,
    'circleLeft': FontAwesomeIcons.circleLeft,
    'arrowAltCircleLeft': FontAwesomeIcons.circleLeft,
    'circleMinus': FontAwesomeIcons.circleMinus,
    'minusCircle': FontAwesomeIcons.circleMinus,
    'circleNodes': FontAwesomeIcons.circleNodes,
    'circleNotch': FontAwesomeIcons.circleNotch,
    'solidCirclePause': FontAwesomeIcons.solidCirclePause,
    'solidPauseCircle': FontAwesomeIcons.solidCirclePause,
    'circlePause': FontAwesomeIcons.circlePause,
    'pauseCircle': FontAwesomeIcons.circlePause,
    'solidCirclePlay': FontAwesomeIcons.solidCirclePlay,
    'solidPlayCircle': FontAwesomeIcons.solidCirclePlay,
    'circlePlay': FontAwesomeIcons.circlePlay,
    'playCircle': FontAwesomeIcons.circlePlay,
    'circlePlus': FontAwesomeIcons.circlePlus,
    'plusCircle': FontAwesomeIcons.circlePlus,
    'solidCircleQuestion': FontAwesomeIcons.solidCircleQuestion,
    'solidQuestionCircle': FontAwesomeIcons.solidCircleQuestion,
    'circleQuestion': FontAwesomeIcons.circleQuestion,
    'questionCircle': FontAwesomeIcons.circleQuestion,
    'circleRadiation': FontAwesomeIcons.circleRadiation,
    'radiationAlt': FontAwesomeIcons.circleRadiation,
    'solidCircleRight': FontAwesomeIcons.solidCircleRight,
    'solidArrowAltCircleRight': FontAwesomeIcons.solidCircleRight,
    'circleRight': FontAwesomeIcons.circleRight,
    'arrowAltCircleRight': FontAwesomeIcons.circleRight,
    'solidCircleStop': FontAwesomeIcons.solidCircleStop,
    'solidStopCircle': FontAwesomeIcons.solidCircleStop,
    'circleStop': FontAwesomeIcons.circleStop,
    'stopCircle': FontAwesomeIcons.circleStop,
    'solidCircleUp': FontAwesomeIcons.solidCircleUp,
    'solidArrowAltCircleUp': FontAwesomeIcons.solidCircleUp,
    'circleUp': FontAwesomeIcons.circleUp,
    'arrowAltCircleUp': FontAwesomeIcons.circleUp,
    'solidCircleUser': FontAwesomeIcons.solidCircleUser,
    'solidUserCircle': FontAwesomeIcons.solidCircleUser,
    'circleUser': FontAwesomeIcons.circleUser,
    'userCircle': FontAwesomeIcons.circleUser,
    'solidCircleXmark': FontAwesomeIcons.solidCircleXmark,
    'solidTimesCircle': FontAwesomeIcons.solidCircleXmark,
    'solidXmarkCircle': FontAwesomeIcons.solidCircleXmark,
    'circleXmark': FontAwesomeIcons.circleXmark,
    'timesCircle': FontAwesomeIcons.circleXmark,
    'xmarkCircle': FontAwesomeIcons.circleXmark,
    'city': FontAwesomeIcons.city,
    'clapperboard': FontAwesomeIcons.clapperboard,
    'solidClipboard': FontAwesomeIcons.solidClipboard,
    'clipboard': FontAwesomeIcons.clipboard,
    'clipboardCheck': FontAwesomeIcons.clipboardCheck,
    'clipboardList': FontAwesomeIcons.clipboardList,
    'clipboardQuestion': FontAwesomeIcons.clipboardQuestion,
    'clipboardUser': FontAwesomeIcons.clipboardUser,
    'solidClock': FontAwesomeIcons.solidClock,
    'solidClockFour': FontAwesomeIcons.solidClock,
    'clock': FontAwesomeIcons.clock,
    'clockFour': FontAwesomeIcons.clock,
    'clockRotateLeft': FontAwesomeIcons.clockRotateLeft,
    'history': FontAwesomeIcons.clockRotateLeft,
    'solidClone': FontAwesomeIcons.solidClone,
    'clone': FontAwesomeIcons.clone,
    'solidClosedCaptioning': FontAwesomeIcons.solidClosedCaptioning,
    'closedCaptioning': FontAwesomeIcons.closedCaptioning,
    'cloud': FontAwesomeIcons.cloud,
    'cloudArrowDown': FontAwesomeIcons.cloudArrowDown,
    'cloudDownload': FontAwesomeIcons.cloudArrowDown,
    'cloudDownloadAlt': FontAwesomeIcons.cloudArrowDown,
    'cloudArrowUp': FontAwesomeIcons.cloudArrowUp,
    'cloudUpload': FontAwesomeIcons.cloudArrowUp,
    'cloudUploadAlt': FontAwesomeIcons.cloudArrowUp,
    'cloudBolt': FontAwesomeIcons.cloudBolt,
    'thunderstorm': FontAwesomeIcons.cloudBolt,
    'cloudMeatball': FontAwesomeIcons.cloudMeatball,
    'cloudMoon': FontAwesomeIcons.cloudMoon,
    'cloudMoonRain': FontAwesomeIcons.cloudMoonRain,
    'cloudRain': FontAwesomeIcons.cloudRain,
    'cloudShowersHeavy': FontAwesomeIcons.cloudShowersHeavy,
    'cloudShowersWater': FontAwesomeIcons.cloudShowersWater,
    'cloudSun': FontAwesomeIcons.cloudSun,
    'cloudSunRain': FontAwesomeIcons.cloudSunRain,
    'cloudflare': FontAwesomeIcons.cloudflare,
    'cloudscale': FontAwesomeIcons.cloudscale,
    'cloudsmith': FontAwesomeIcons.cloudsmith,
    'cloudversify': FontAwesomeIcons.cloudversify,
    'clover': FontAwesomeIcons.clover,
    'cmplid': FontAwesomeIcons.cmplid,
    'code': FontAwesomeIcons.code,
    'codeBranch': FontAwesomeIcons.codeBranch,
    'codeCommit': FontAwesomeIcons.codeCommit,
    'codeCompare': FontAwesomeIcons.codeCompare,
    'codeFork': FontAwesomeIcons.codeFork,
    'codeMerge': FontAwesomeIcons.codeMerge,
    'codePullRequest': FontAwesomeIcons.codePullRequest,
    'codepen': FontAwesomeIcons.codepen,
    'codiepie': FontAwesomeIcons.codiepie,
    'coins': FontAwesomeIcons.coins,
    'colonSign': FontAwesomeIcons.colonSign,
    'solidComment': FontAwesomeIcons.solidComment,
    'comment': FontAwesomeIcons.comment,
    'commentDollar': FontAwesomeIcons.commentDollar,
    'solidCommentDots': FontAwesomeIcons.solidCommentDots,
    'solidCommenting': FontAwesomeIcons.solidCommentDots,
    'commentDots': FontAwesomeIcons.commentDots,
    'commenting': FontAwesomeIcons.commentDots,
    'commentMedical': FontAwesomeIcons.commentMedical,
    'commentSlash': FontAwesomeIcons.commentSlash,
    'commentSms': FontAwesomeIcons.commentSms,
    'sms': FontAwesomeIcons.commentSms,
    'solidComments': FontAwesomeIcons.solidComments,
    'comments': FontAwesomeIcons.comments,
    'commentsDollar': FontAwesomeIcons.commentsDollar,
    'compactDisc': FontAwesomeIcons.compactDisc,
    'solidCompass': FontAwesomeIcons.solidCompass,
    'compass': FontAwesomeIcons.compass,
    'compassDrafting': FontAwesomeIcons.compassDrafting,
    'draftingCompass': FontAwesomeIcons.compassDrafting,
    'compress': FontAwesomeIcons.compress,
    'computer': FontAwesomeIcons.computer,
    'computerMouse': FontAwesomeIcons.computerMouse,
    'mouse': FontAwesomeIcons.computerMouse,
    'confluence': FontAwesomeIcons.confluence,
    'connectdevelop': FontAwesomeIcons.connectdevelop,
    'contao': FontAwesomeIcons.contao,
    'cookie': FontAwesomeIcons.cookie,
    'cookieBite': FontAwesomeIcons.cookieBite,
    'solidCopy': FontAwesomeIcons.solidCopy,
    'copy': FontAwesomeIcons.copy,
    'solidCopyright': FontAwesomeIcons.solidCopyright,
    'copyright': FontAwesomeIcons.copyright,
    'cottonBureau': FontAwesomeIcons.cottonBureau,
    'couch': FontAwesomeIcons.couch,
    'cow': FontAwesomeIcons.cow,
    'cpanel': FontAwesomeIcons.cpanel,
    'creativeCommons': FontAwesomeIcons.creativeCommons,
    'creativeCommonsBy': FontAwesomeIcons.creativeCommonsBy,
    'creativeCommonsNc': FontAwesomeIcons.creativeCommonsNc,
    'creativeCommonsNcEu': FontAwesomeIcons.creativeCommonsNcEu,
    'creativeCommonsNcJp': FontAwesomeIcons.creativeCommonsNcJp,
    'creativeCommonsNd': FontAwesomeIcons.creativeCommonsNd,
    'creativeCommonsPd': FontAwesomeIcons.creativeCommonsPd,
    'creativeCommonsPdAlt': FontAwesomeIcons.creativeCommonsPdAlt,
    'creativeCommonsRemix': FontAwesomeIcons.creativeCommonsRemix,
    'creativeCommonsSa': FontAwesomeIcons.creativeCommonsSa,
    'creativeCommonsSampling': FontAwesomeIcons.creativeCommonsSampling,
    'creativeCommonsSamplingPlus': FontAwesomeIcons.creativeCommonsSamplingPlus,
    'creativeCommonsShare': FontAwesomeIcons.creativeCommonsShare,
    'creativeCommonsZero': FontAwesomeIcons.creativeCommonsZero,
    'solidCreditCard': FontAwesomeIcons.solidCreditCard,
    'solidCreditCardAlt': FontAwesomeIcons.solidCreditCard,
    'creditCard': FontAwesomeIcons.creditCard,
    'creditCardAlt': FontAwesomeIcons.creditCard,
    'criticalRole': FontAwesomeIcons.criticalRole,
    'crop': FontAwesomeIcons.crop,
    'cropSimple': FontAwesomeIcons.cropSimple,
    'cropAlt': FontAwesomeIcons.cropSimple,
    'cross': FontAwesomeIcons.cross,
    'crosshairs': FontAwesomeIcons.crosshairs,
    'crow': FontAwesomeIcons.crow,
    'crown': FontAwesomeIcons.crown,
    'crutch': FontAwesomeIcons.crutch,
    'cruzeiroSign': FontAwesomeIcons.cruzeiroSign,
    'css3': FontAwesomeIcons.css3,
    'css3Alt': FontAwesomeIcons.css3Alt,
    'cube': FontAwesomeIcons.cube,
    'cubes': FontAwesomeIcons.cubes,
    'cubesStacked': FontAwesomeIcons.cubesStacked,
    'cuttlefish': FontAwesomeIcons.cuttlefish,
    'd': FontAwesomeIcons.d,
    'dAndD': FontAwesomeIcons.dAndD,
    'dAndDBeyond': FontAwesomeIcons.dAndDBeyond,
    'dailymotion': FontAwesomeIcons.dailymotion,
    'dashcube': FontAwesomeIcons.dashcube,
    'database': FontAwesomeIcons.database,
    'deezer': FontAwesomeIcons.deezer,
    'deleteLeft': FontAwesomeIcons.deleteLeft,
    'backspace': FontAwesomeIcons.deleteLeft,
    'delicious': FontAwesomeIcons.delicious,
    'democrat': FontAwesomeIcons.democrat,
    'deploydog': FontAwesomeIcons.deploydog,
    'deskpro': FontAwesomeIcons.deskpro,
    'desktop': FontAwesomeIcons.desktop,
    'desktopAlt': FontAwesomeIcons.desktop,
    'dev': FontAwesomeIcons.dev,
    'deviantart': FontAwesomeIcons.deviantart,
    'dharmachakra': FontAwesomeIcons.dharmachakra,
    'dhl': FontAwesomeIcons.dhl,
    'diagramNext': FontAwesomeIcons.diagramNext,
    'diagramPredecessor': FontAwesomeIcons.diagramPredecessor,
    'diagramProject': FontAwesomeIcons.diagramProject,
    'projectDiagram': FontAwesomeIcons.diagramProject,
    'diagramSuccessor': FontAwesomeIcons.diagramSuccessor,
    'diamond': FontAwesomeIcons.diamond,
    'diamondTurnRight': FontAwesomeIcons.diamondTurnRight,
    'directions': FontAwesomeIcons.diamondTurnRight,
    'diaspora': FontAwesomeIcons.diaspora,
    'dice': FontAwesomeIcons.dice,
    'diceD20': FontAwesomeIcons.diceD20,
    'diceD6': FontAwesomeIcons.diceD6,
    'diceFive': FontAwesomeIcons.diceFive,
    'diceFour': FontAwesomeIcons.diceFour,
    'diceOne': FontAwesomeIcons.diceOne,
    'diceSix': FontAwesomeIcons.diceSix,
    'diceThree': FontAwesomeIcons.diceThree,
    'diceTwo': FontAwesomeIcons.diceTwo,
    'digg': FontAwesomeIcons.digg,
    'digitalOcean': FontAwesomeIcons.digitalOcean,
    'discord': FontAwesomeIcons.discord,
    'discourse': FontAwesomeIcons.discourse,
    'disease': FontAwesomeIcons.disease,
    'display': FontAwesomeIcons.display,
    'divide': FontAwesomeIcons.divide,
    'dna': FontAwesomeIcons.dna,
    'dochub': FontAwesomeIcons.dochub,
    'docker': FontAwesomeIcons.docker,
    'dog': FontAwesomeIcons.dog,
    'dollarSign': FontAwesomeIcons.dollarSign,
    'dollar': FontAwesomeIcons.dollarSign,
    'usd': FontAwesomeIcons.dollarSign,
    'dolly': FontAwesomeIcons.dolly,
    'dollyBox': FontAwesomeIcons.dolly,
    'dongSign': FontAwesomeIcons.dongSign,
    'doorClosed': FontAwesomeIcons.doorClosed,
    'doorOpen': FontAwesomeIcons.doorOpen,
    'dove': FontAwesomeIcons.dove,
    'downLeftAndUpRightToCenter': FontAwesomeIcons.downLeftAndUpRightToCenter,
    'compressAlt': FontAwesomeIcons.downLeftAndUpRightToCenter,
    'downLong': FontAwesomeIcons.downLong,
    'longArrowAltDown': FontAwesomeIcons.downLong,
    'download': FontAwesomeIcons.download,
    'draft2digital': FontAwesomeIcons.draft2digital,
    'dragon': FontAwesomeIcons.dragon,
    'drawPolygon': FontAwesomeIcons.drawPolygon,
    'dribbble': FontAwesomeIcons.dribbble,
    'dropbox': FontAwesomeIcons.dropbox,
    'droplet': FontAwesomeIcons.droplet,
    'tint': FontAwesomeIcons.droplet,
    'dropletSlash': FontAwesomeIcons.dropletSlash,
    'tintSlash': FontAwesomeIcons.dropletSlash,
    'drum': FontAwesomeIcons.drum,
    'drumSteelpan': FontAwesomeIcons.drumSteelpan,
    'drumstickBite': FontAwesomeIcons.drumstickBite,
    'drupal': FontAwesomeIcons.drupal,
    'dumbbell': FontAwesomeIcons.dumbbell,
    'dumpster': FontAwesomeIcons.dumpster,
    'dumpsterFire': FontAwesomeIcons.dumpsterFire,
    'dungeon': FontAwesomeIcons.dungeon,
    'dyalog': FontAwesomeIcons.dyalog,
    'e': FontAwesomeIcons.e,
    'earDeaf': FontAwesomeIcons.earDeaf,
    'deaf': FontAwesomeIcons.earDeaf,
    'deafness': FontAwesomeIcons.earDeaf,
    'hardOfHearing': FontAwesomeIcons.earDeaf,
    'earListen': FontAwesomeIcons.earListen,
    'assistiveListeningSystems': FontAwesomeIcons.earListen,
    'earlybirds': FontAwesomeIcons.earlybirds,
    'earthAfrica': FontAwesomeIcons.earthAfrica,
    'globeAfrica': FontAwesomeIcons.earthAfrica,
    'earthAmericas': FontAwesomeIcons.earthAmericas,
    'earth': FontAwesomeIcons.earthAmericas,
    'earthAmerica': FontAwesomeIcons.earthAmericas,
    'globeAmericas': FontAwesomeIcons.earthAmericas,
    'earthAsia': FontAwesomeIcons.earthAsia,
    'globeAsia': FontAwesomeIcons.earthAsia,
    'earthEurope': FontAwesomeIcons.earthEurope,
    'globeEurope': FontAwesomeIcons.earthEurope,
    'earthOceania': FontAwesomeIcons.earthOceania,
    'globeOceania': FontAwesomeIcons.earthOceania,
    'ebay': FontAwesomeIcons.ebay,
    'edge': FontAwesomeIcons.edge,
    'edgeLegacy': FontAwesomeIcons.edgeLegacy,
    'egg': FontAwesomeIcons.egg,
    'eject': FontAwesomeIcons.eject,
    'elementor': FontAwesomeIcons.elementor,
    'elevator': FontAwesomeIcons.elevator,
    'ellipsis': FontAwesomeIcons.ellipsis,
    'ellipsisH': FontAwesomeIcons.ellipsis,
    'ellipsisVertical': FontAwesomeIcons.ellipsisVertical,
    'ellipsisV': FontAwesomeIcons.ellipsisVertical,
    'ello': FontAwesomeIcons.ello,
    'ember': FontAwesomeIcons.ember,
    'empire': FontAwesomeIcons.empire,
    'solidEnvelope': FontAwesomeIcons.solidEnvelope,
    'envelope': FontAwesomeIcons.envelope,
    'envelopeCircleCheck': FontAwesomeIcons.envelopeCircleCheck,
    'solidEnvelopeOpen': FontAwesomeIcons.solidEnvelopeOpen,
    'envelopeOpen': FontAwesomeIcons.envelopeOpen,
    'envelopeOpenText': FontAwesomeIcons.envelopeOpenText,
    'envelopesBulk': FontAwesomeIcons.envelopesBulk,
    'mailBulk': FontAwesomeIcons.envelopesBulk,
    'envira': FontAwesomeIcons.envira,
    'equals': FontAwesomeIcons.equals,
    'eraser': FontAwesomeIcons.eraser,
    'erlang': FontAwesomeIcons.erlang,
    'ethereum': FontAwesomeIcons.ethereum,
    'ethernet': FontAwesomeIcons.ethernet,
    'etsy': FontAwesomeIcons.etsy,
    'euroSign': FontAwesomeIcons.euroSign,
    'eur': FontAwesomeIcons.euroSign,
    'euro': FontAwesomeIcons.euroSign,
    'evernote': FontAwesomeIcons.evernote,
    'exclamation': FontAwesomeIcons.exclamation,
    'expand': FontAwesomeIcons.expand,
    'expeditedssl': FontAwesomeIcons.expeditedssl,
    'explosion': FontAwesomeIcons.explosion,
    'solidEye': FontAwesomeIcons.solidEye,
    'eye': FontAwesomeIcons.eye,
    'eyeDropper': FontAwesomeIcons.eyeDropper,
    'eyeDropperEmpty': FontAwesomeIcons.eyeDropper,
    'eyedropper': FontAwesomeIcons.eyeDropper,
    'eyeLowVision': FontAwesomeIcons.eyeLowVision,
    'lowVision': FontAwesomeIcons.eyeLowVision,
    'solidEyeSlash': FontAwesomeIcons.solidEyeSlash,
    'eyeSlash': FontAwesomeIcons.eyeSlash,
    'f': FontAwesomeIcons.f,
    'solidFaceAngry': FontAwesomeIcons.solidFaceAngry,
    'solidAngry': FontAwesomeIcons.solidFaceAngry,
    'faceAngry': FontAwesomeIcons.faceAngry,
    'angry': FontAwesomeIcons.faceAngry,
    'solidFaceDizzy': FontAwesomeIcons.solidFaceDizzy,
    'solidDizzy': FontAwesomeIcons.solidFaceDizzy,
    'faceDizzy': FontAwesomeIcons.faceDizzy,
    'dizzy': FontAwesomeIcons.faceDizzy,
    'solidFaceFlushed': FontAwesomeIcons.solidFaceFlushed,
    'solidFlushed': FontAwesomeIcons.solidFaceFlushed,
    'faceFlushed': FontAwesomeIcons.faceFlushed,
    'flushed': FontAwesomeIcons.faceFlushed,
    'solidFaceFrown': FontAwesomeIcons.solidFaceFrown,
    'solidFrown': FontAwesomeIcons.solidFaceFrown,
    'faceFrown': FontAwesomeIcons.faceFrown,
    'frown': FontAwesomeIcons.faceFrown,
    'solidFaceFrownOpen': FontAwesomeIcons.solidFaceFrownOpen,
    'solidFrownOpen': FontAwesomeIcons.solidFaceFrownOpen,
    'faceFrownOpen': FontAwesomeIcons.faceFrownOpen,
    'frownOpen': FontAwesomeIcons.faceFrownOpen,
    'solidFaceGrimace': FontAwesomeIcons.solidFaceGrimace,
    'solidGrimace': FontAwesomeIcons.solidFaceGrimace,
    'faceGrimace': FontAwesomeIcons.faceGrimace,
    'grimace': FontAwesomeIcons.faceGrimace,
    'solidFaceGrin': FontAwesomeIcons.solidFaceGrin,
    'solidGrin': FontAwesomeIcons.solidFaceGrin,
    'faceGrin': FontAwesomeIcons.faceGrin,
    'grin': FontAwesomeIcons.faceGrin,
    'solidFaceGrinBeam': FontAwesomeIcons.solidFaceGrinBeam,
    'solidGrinBeam': FontAwesomeIcons.solidFaceGrinBeam,
    'faceGrinBeam': FontAwesomeIcons.faceGrinBeam,
    'grinBeam': FontAwesomeIcons.faceGrinBeam,
    'solidFaceGrinBeamSweat': FontAwesomeIcons.solidFaceGrinBeamSweat,
    'solidGrinBeamSweat': FontAwesomeIcons.solidFaceGrinBeamSweat,
    'faceGrinBeamSweat': FontAwesomeIcons.faceGrinBeamSweat,
    'grinBeamSweat': FontAwesomeIcons.faceGrinBeamSweat,
    'solidFaceGrinHearts': FontAwesomeIcons.solidFaceGrinHearts,
    'solidGrinHearts': FontAwesomeIcons.solidFaceGrinHearts,
    'faceGrinHearts': FontAwesomeIcons.faceGrinHearts,
    'grinHearts': FontAwesomeIcons.faceGrinHearts,
    'solidFaceGrinSquint': FontAwesomeIcons.solidFaceGrinSquint,
    'solidGrinSquint': FontAwesomeIcons.solidFaceGrinSquint,
    'faceGrinSquint': FontAwesomeIcons.faceGrinSquint,
    'grinSquint': FontAwesomeIcons.faceGrinSquint,
    'solidFaceGrinSquintTears': FontAwesomeIcons.solidFaceGrinSquintTears,
    'solidGrinSquintTears': FontAwesomeIcons.solidFaceGrinSquintTears,
    'faceGrinSquintTears': FontAwesomeIcons.faceGrinSquintTears,
    'grinSquintTears': FontAwesomeIcons.faceGrinSquintTears,
    'solidFaceGrinStars': FontAwesomeIcons.solidFaceGrinStars,
    'solidGrinStars': FontAwesomeIcons.solidFaceGrinStars,
    'faceGrinStars': FontAwesomeIcons.faceGrinStars,
    'grinStars': FontAwesomeIcons.faceGrinStars,
    'solidFaceGrinTears': FontAwesomeIcons.solidFaceGrinTears,
    'solidGrinTears': FontAwesomeIcons.solidFaceGrinTears,
    'faceGrinTears': FontAwesomeIcons.faceGrinTears,
    'grinTears': FontAwesomeIcons.faceGrinTears,
    'solidFaceGrinTongue': FontAwesomeIcons.solidFaceGrinTongue,
    'solidGrinTongue': FontAwesomeIcons.solidFaceGrinTongue,
    'faceGrinTongue': FontAwesomeIcons.faceGrinTongue,
    'grinTongue': FontAwesomeIcons.faceGrinTongue,
    'solidFaceGrinTongueSquint': FontAwesomeIcons.solidFaceGrinTongueSquint,
    'solidGrinTongueSquint': FontAwesomeIcons.solidFaceGrinTongueSquint,
    'faceGrinTongueSquint': FontAwesomeIcons.faceGrinTongueSquint,
    'grinTongueSquint': FontAwesomeIcons.faceGrinTongueSquint,
    'solidFaceGrinTongueWink': FontAwesomeIcons.solidFaceGrinTongueWink,
    'solidGrinTongueWink': FontAwesomeIcons.solidFaceGrinTongueWink,
    'faceGrinTongueWink': FontAwesomeIcons.faceGrinTongueWink,
    'grinTongueWink': FontAwesomeIcons.faceGrinTongueWink,
    'solidFaceGrinWide': FontAwesomeIcons.solidFaceGrinWide,
    'solidGrinAlt': FontAwesomeIcons.solidFaceGrinWide,
    'faceGrinWide': FontAwesomeIcons.faceGrinWide,
    'grinAlt': FontAwesomeIcons.faceGrinWide,
    'solidFaceGrinWink': FontAwesomeIcons.solidFaceGrinWink,
    'solidGrinWink': FontAwesomeIcons.solidFaceGrinWink,
    'faceGrinWink': FontAwesomeIcons.faceGrinWink,
    'grinWink': FontAwesomeIcons.faceGrinWink,
    'solidFaceKiss': FontAwesomeIcons.solidFaceKiss,
    'solidKiss': FontAwesomeIcons.solidFaceKiss,
    'faceKiss': FontAwesomeIcons.faceKiss,
    'kiss': FontAwesomeIcons.faceKiss,
    'solidFaceKissBeam': FontAwesomeIcons.solidFaceKissBeam,
    'solidKissBeam': FontAwesomeIcons.solidFaceKissBeam,
    'faceKissBeam': FontAwesomeIcons.faceKissBeam,
    'kissBeam': FontAwesomeIcons.faceKissBeam,
    'solidFaceKissWinkHeart': FontAwesomeIcons.solidFaceKissWinkHeart,
    'solidKissWinkHeart': FontAwesomeIcons.solidFaceKissWinkHeart,
    'faceKissWinkHeart': FontAwesomeIcons.faceKissWinkHeart,
    'kissWinkHeart': FontAwesomeIcons.faceKissWinkHeart,
    'solidFaceLaugh': FontAwesomeIcons.solidFaceLaugh,
    'solidLaugh': FontAwesomeIcons.solidFaceLaugh,
    'faceLaugh': FontAwesomeIcons.faceLaugh,
    'laugh': FontAwesomeIcons.faceLaugh,
    'solidFaceLaughBeam': FontAwesomeIcons.solidFaceLaughBeam,
    'solidLaughBeam': FontAwesomeIcons.solidFaceLaughBeam,
    'faceLaughBeam': FontAwesomeIcons.faceLaughBeam,
    'laughBeam': FontAwesomeIcons.faceLaughBeam,
    'solidFaceLaughSquint': FontAwesomeIcons.solidFaceLaughSquint,
    'solidLaughSquint': FontAwesomeIcons.solidFaceLaughSquint,
    'faceLaughSquint': FontAwesomeIcons.faceLaughSquint,
    'laughSquint': FontAwesomeIcons.faceLaughSquint,
    'solidFaceLaughWink': FontAwesomeIcons.solidFaceLaughWink,
    'solidLaughWink': FontAwesomeIcons.solidFaceLaughWink,
    'faceLaughWink': FontAwesomeIcons.faceLaughWink,
    'laughWink': FontAwesomeIcons.faceLaughWink,
    'solidFaceMeh': FontAwesomeIcons.solidFaceMeh,
    'solidMeh': FontAwesomeIcons.solidFaceMeh,
    'faceMeh': FontAwesomeIcons.faceMeh,
    'meh': FontAwesomeIcons.faceMeh,
    'solidFaceMehBlank': FontAwesomeIcons.solidFaceMehBlank,
    'solidMehBlank': FontAwesomeIcons.solidFaceMehBlank,
    'faceMehBlank': FontAwesomeIcons.faceMehBlank,
    'mehBlank': FontAwesomeIcons.faceMehBlank,
    'solidFaceRollingEyes': FontAwesomeIcons.solidFaceRollingEyes,
    'solidMehRollingEyes': FontAwesomeIcons.solidFaceRollingEyes,
    'faceRollingEyes': FontAwesomeIcons.faceRollingEyes,
    'mehRollingEyes': FontAwesomeIcons.faceRollingEyes,
    'solidFaceSadCry': FontAwesomeIcons.solidFaceSadCry,
    'solidSadCry': FontAwesomeIcons.solidFaceSadCry,
    'faceSadCry': FontAwesomeIcons.faceSadCry,
    'sadCry': FontAwesomeIcons.faceSadCry,
    'solidFaceSadTear': FontAwesomeIcons.solidFaceSadTear,
    'solidSadTear': FontAwesomeIcons.solidFaceSadTear,
    'faceSadTear': FontAwesomeIcons.faceSadTear,
    'sadTear': FontAwesomeIcons.faceSadTear,
    'solidFaceSmile': FontAwesomeIcons.solidFaceSmile,
    'solidSmile': FontAwesomeIcons.solidFaceSmile,
    'faceSmile': FontAwesomeIcons.faceSmile,
    'smile': FontAwesomeIcons.faceSmile,
    'solidFaceSmileBeam': FontAwesomeIcons.solidFaceSmileBeam,
    'solidSmileBeam': FontAwesomeIcons.solidFaceSmileBeam,
    'faceSmileBeam': FontAwesomeIcons.faceSmileBeam,
    'smileBeam': FontAwesomeIcons.faceSmileBeam,
    'solidFaceSmileWink': FontAwesomeIcons.solidFaceSmileWink,
    'solidSmileWink': FontAwesomeIcons.solidFaceSmileWink,
    'faceSmileWink': FontAwesomeIcons.faceSmileWink,
    'smileWink': FontAwesomeIcons.faceSmileWink,
    'solidFaceSurprise': FontAwesomeIcons.solidFaceSurprise,
    'solidSurprise': FontAwesomeIcons.solidFaceSurprise,
    'faceSurprise': FontAwesomeIcons.faceSurprise,
    'surprise': FontAwesomeIcons.faceSurprise,
    'solidFaceTired': FontAwesomeIcons.solidFaceTired,
    'solidTired': FontAwesomeIcons.solidFaceTired,
    'faceTired': FontAwesomeIcons.faceTired,
    'tired': FontAwesomeIcons.faceTired,
    'facebook': FontAwesomeIcons.facebook,
    'facebookF': FontAwesomeIcons.facebookF,
    'facebookMessenger': FontAwesomeIcons.facebookMessenger,
    'fan': FontAwesomeIcons.fan,
    'fantasyFlightGames': FontAwesomeIcons.fantasyFlightGames,
    'faucet': FontAwesomeIcons.faucet,
    'faucetDrip': FontAwesomeIcons.faucetDrip,
    'fax': FontAwesomeIcons.fax,
    'feather': FontAwesomeIcons.feather,
    'featherPointed': FontAwesomeIcons.featherPointed,
    'featherAlt': FontAwesomeIcons.featherPointed,
    'fedex': FontAwesomeIcons.fedex,
    'fedora': FontAwesomeIcons.fedora,
    'ferry': FontAwesomeIcons.ferry,
    'figma': FontAwesomeIcons.figma,
    'solidFile': FontAwesomeIcons.solidFile,
    'file': FontAwesomeIcons.file,
    'fileArrowDown': FontAwesomeIcons.fileArrowDown,
    'fileDownload': FontAwesomeIcons.fileArrowDown,
    'fileArrowUp': FontAwesomeIcons.fileArrowUp,
    'fileUpload': FontAwesomeIcons.fileArrowUp,
    'solidFileAudio': FontAwesomeIcons.solidFileAudio,
    'fileAudio': FontAwesomeIcons.fileAudio,
    'fileCircleCheck': FontAwesomeIcons.fileCircleCheck,
    'fileCircleExclamation': FontAwesomeIcons.fileCircleExclamation,
    'fileCircleMinus': FontAwesomeIcons.fileCircleMinus,
    'fileCirclePlus': FontAwesomeIcons.fileCirclePlus,
    'fileCircleQuestion': FontAwesomeIcons.fileCircleQuestion,
    'fileCircleXmark': FontAwesomeIcons.fileCircleXmark,
    'solidFileCode': FontAwesomeIcons.solidFileCode,
    'fileCode': FontAwesomeIcons.fileCode,
    'fileContract': FontAwesomeIcons.fileContract,
    'fileCsv': FontAwesomeIcons.fileCsv,
    'solidFileExcel': FontAwesomeIcons.solidFileExcel,
    'fileExcel': FontAwesomeIcons.fileExcel,
    'fileExport': FontAwesomeIcons.fileExport,
    'arrowRightFromFile': FontAwesomeIcons.fileExport,
    'solidFileImage': FontAwesomeIcons.solidFileImage,
    'fileImage': FontAwesomeIcons.fileImage,
    'fileImport': FontAwesomeIcons.fileImport,
    'arrowRightToFile': FontAwesomeIcons.fileImport,
    'fileInvoice': FontAwesomeIcons.fileInvoice,
    'fileInvoiceDollar': FontAwesomeIcons.fileInvoiceDollar,
    'solidFileLines': FontAwesomeIcons.solidFileLines,
    'solidFileAlt': FontAwesomeIcons.solidFileLines,
    'solidFileText': FontAwesomeIcons.solidFileLines,
    'fileLines': FontAwesomeIcons.fileLines,
    'fileAlt': FontAwesomeIcons.fileLines,
    'fileText': FontAwesomeIcons.fileLines,
    'fileMedical': FontAwesomeIcons.fileMedical,
    'solidFilePdf': FontAwesomeIcons.solidFilePdf,
    'filePdf': FontAwesomeIcons.filePdf,
    'filePen': FontAwesomeIcons.filePen,
    'fileEdit': FontAwesomeIcons.filePen,
    'solidFilePowerpoint': FontAwesomeIcons.solidFilePowerpoint,
    'filePowerpoint': FontAwesomeIcons.filePowerpoint,
    'filePrescription': FontAwesomeIcons.filePrescription,
    'fileShield': FontAwesomeIcons.fileShield,
    'fileSignature': FontAwesomeIcons.fileSignature,
    'solidFileVideo': FontAwesomeIcons.solidFileVideo,
    'fileVideo': FontAwesomeIcons.fileVideo,
    'fileWaveform': FontAwesomeIcons.fileWaveform,
    'fileMedicalAlt': FontAwesomeIcons.fileWaveform,
    'solidFileWord': FontAwesomeIcons.solidFileWord,
    'fileWord': FontAwesomeIcons.fileWord,
    'solidFileZipper': FontAwesomeIcons.solidFileZipper,
    'solidFileArchive': FontAwesomeIcons.solidFileZipper,
    'fileZipper': FontAwesomeIcons.fileZipper,
    'fileArchive': FontAwesomeIcons.fileZipper,
    'fill': FontAwesomeIcons.fill,
    'fillDrip': FontAwesomeIcons.fillDrip,
    'film': FontAwesomeIcons.film,
    'filter': FontAwesomeIcons.filter,
    'filterCircleDollar': FontAwesomeIcons.filterCircleDollar,
    'funnelDollar': FontAwesomeIcons.filterCircleDollar,
    'filterCircleXmark': FontAwesomeIcons.filterCircleXmark,
    'fingerprint': FontAwesomeIcons.fingerprint,
    'fire': FontAwesomeIcons.fire,
    'fireBurner': FontAwesomeIcons.fireBurner,
    'fireExtinguisher': FontAwesomeIcons.fireExtinguisher,
    'fireFlameCurved': FontAwesomeIcons.fireFlameCurved,
    'fireAlt': FontAwesomeIcons.fireFlameCurved,
    'fireFlameSimple': FontAwesomeIcons.fireFlameSimple,
    'burn': FontAwesomeIcons.fireFlameSimple,
    'firefox': FontAwesomeIcons.firefox,
    'firefoxBrowser': FontAwesomeIcons.firefoxBrowser,
    'firstOrder': FontAwesomeIcons.firstOrder,
    'firstOrderAlt': FontAwesomeIcons.firstOrderAlt,
    'firstdraft': FontAwesomeIcons.firstdraft,
    'fish': FontAwesomeIcons.fish,
    'fishFins': FontAwesomeIcons.fishFins,
    'solidFlag': FontAwesomeIcons.solidFlag,
    'flag': FontAwesomeIcons.flag,
    'flagCheckered': FontAwesomeIcons.flagCheckered,
    'flagUsa': FontAwesomeIcons.flagUsa,
    'flask': FontAwesomeIcons.flask,
    'flaskVial': FontAwesomeIcons.flaskVial,
    'flickr': FontAwesomeIcons.flickr,
    'flipboard': FontAwesomeIcons.flipboard,
    'solidFloppyDisk': FontAwesomeIcons.solidFloppyDisk,
    'solidSave': FontAwesomeIcons.solidFloppyDisk,
    'floppyDisk': FontAwesomeIcons.floppyDisk,
    'save': FontAwesomeIcons.floppyDisk,
    'florinSign': FontAwesomeIcons.florinSign,
    'fly': FontAwesomeIcons.fly,
    'solidFolder': FontAwesomeIcons.solidFolder,
    'solidFolderBlank': FontAwesomeIcons.solidFolder,
    'folder': FontAwesomeIcons.folder,
    'folderBlank': FontAwesomeIcons.folder,
    'solidFolderClosed': FontAwesomeIcons.solidFolderClosed,
    'folderClosed': FontAwesomeIcons.folderClosed,
    'folderMinus': FontAwesomeIcons.folderMinus,
    'solidFolderOpen': FontAwesomeIcons.solidFolderOpen,
    'folderOpen': FontAwesomeIcons.folderOpen,
    'folderPlus': FontAwesomeIcons.folderPlus,
    'folderTree': FontAwesomeIcons.folderTree,
    'font': FontAwesomeIcons.font,
    'solidFontAwesome': FontAwesomeIcons.solidFontAwesome,
    'solidFontAwesomeFlag': FontAwesomeIcons.solidFontAwesome,
    'solidFontAwesomeLogoFull': FontAwesomeIcons.solidFontAwesome,
    'fontAwesome': FontAwesomeIcons.fontAwesome,
    'fontAwesomeFlag': FontAwesomeIcons.fontAwesome,
    'fontAwesomeLogoFull': FontAwesomeIcons.fontAwesome,
    'brandsFontAwesome': FontAwesomeIcons.brandsFontAwesome,
    'brandsFontAwesomeFlag': FontAwesomeIcons.brandsFontAwesome,
    'brandsFontAwesomeLogoFull': FontAwesomeIcons.brandsFontAwesome,
    'fonticons': FontAwesomeIcons.fonticons,
    'fonticonsFi': FontAwesomeIcons.fonticonsFi,
    'football': FontAwesomeIcons.football,
    'footballBall': FontAwesomeIcons.football,
    'fortAwesome': FontAwesomeIcons.fortAwesome,
    'fortAwesomeAlt': FontAwesomeIcons.fortAwesomeAlt,
    'forumbee': FontAwesomeIcons.forumbee,
    'forward': FontAwesomeIcons.forward,
    'forwardFast': FontAwesomeIcons.forwardFast,
    'fastForward': FontAwesomeIcons.forwardFast,
    'forwardStep': FontAwesomeIcons.forwardStep,
    'stepForward': FontAwesomeIcons.forwardStep,
    'foursquare': FontAwesomeIcons.foursquare,
    'francSign': FontAwesomeIcons.francSign,
    'freeCodeCamp': FontAwesomeIcons.freeCodeCamp,
    'freebsd': FontAwesomeIcons.freebsd,
    'frog': FontAwesomeIcons.frog,
    'fulcrum': FontAwesomeIcons.fulcrum,
    'solidFutbol': FontAwesomeIcons.solidFutbol,
    'solidFutbolBall': FontAwesomeIcons.solidFutbol,
    'solidSoccerBall': FontAwesomeIcons.solidFutbol,
    'futbol': FontAwesomeIcons.futbol,
    'futbolBall': FontAwesomeIcons.futbol,
    'soccerBall': FontAwesomeIcons.futbol,
    'g': FontAwesomeIcons.g,
    'galacticRepublic': FontAwesomeIcons.galacticRepublic,
    'galacticSenate': FontAwesomeIcons.galacticSenate,
    'gamepad': FontAwesomeIcons.gamepad,
    'gasPump': FontAwesomeIcons.gasPump,
    'gauge': FontAwesomeIcons.gauge,
    'dashboard': FontAwesomeIcons.gauge,
    'gaugeMed': FontAwesomeIcons.gauge,
    'tachometerAltAverage': FontAwesomeIcons.gauge,
    'gaugeHigh': FontAwesomeIcons.gaugeHigh,
    'tachometerAlt': FontAwesomeIcons.gaugeHigh,
    'tachometerAltFast': FontAwesomeIcons.gaugeHigh,
    'gaugeSimple': FontAwesomeIcons.gaugeSimple,
    'gaugeSimpleMed': FontAwesomeIcons.gaugeSimple,
    'tachometerAverage': FontAwesomeIcons.gaugeSimple,
    'gaugeSimpleHigh': FontAwesomeIcons.gaugeSimpleHigh,
    'tachometer': FontAwesomeIcons.gaugeSimpleHigh,
    'tachometerFast': FontAwesomeIcons.gaugeSimpleHigh,
    'gavel': FontAwesomeIcons.gavel,
    'legal': FontAwesomeIcons.gavel,
    'gear': FontAwesomeIcons.gear,
    'cog': FontAwesomeIcons.gear,
    'gears': FontAwesomeIcons.gears,
    'cogs': FontAwesomeIcons.gears,
    'solidGem': FontAwesomeIcons.solidGem,
    'gem': FontAwesomeIcons.gem,
    'genderless': FontAwesomeIcons.genderless,
    'getPocket': FontAwesomeIcons.getPocket,
    'gg': FontAwesomeIcons.gg,
    'ggCircle': FontAwesomeIcons.ggCircle,
    'ghost': FontAwesomeIcons.ghost,
    'gift': FontAwesomeIcons.gift,
    'gifts': FontAwesomeIcons.gifts,
    'git': FontAwesomeIcons.git,
    'gitAlt': FontAwesomeIcons.gitAlt,
    'github': FontAwesomeIcons.github,
    'githubAlt': FontAwesomeIcons.githubAlt,
    'gitkraken': FontAwesomeIcons.gitkraken,
    'gitlab': FontAwesomeIcons.gitlab,
    'gitter': FontAwesomeIcons.gitter,
    'glassWater': FontAwesomeIcons.glassWater,
    'glassWaterDroplet': FontAwesomeIcons.glassWaterDroplet,
    'glasses': FontAwesomeIcons.glasses,
    'glide': FontAwesomeIcons.glide,
    'glideG': FontAwesomeIcons.glideG,
    'globe': FontAwesomeIcons.globe,
    'gofore': FontAwesomeIcons.gofore,
    'golang': FontAwesomeIcons.golang,
    'golfBallTee': FontAwesomeIcons.golfBallTee,
    'golfBall': FontAwesomeIcons.golfBallTee,
    'goodreads': FontAwesomeIcons.goodreads,
    'goodreadsG': FontAwesomeIcons.goodreadsG,
    'google': FontAwesomeIcons.google,
    'googleDrive': FontAwesomeIcons.googleDrive,
    'googlePay': FontAwesomeIcons.googlePay,
    'googlePlay': FontAwesomeIcons.googlePlay,
    'googlePlus': FontAwesomeIcons.googlePlus,
    'googlePlusG': FontAwesomeIcons.googlePlusG,
    'googleWallet': FontAwesomeIcons.googleWallet,
    'gopuram': FontAwesomeIcons.gopuram,
    'graduationCap': FontAwesomeIcons.graduationCap,
    'mortarBoard': FontAwesomeIcons.graduationCap,
    'gratipay': FontAwesomeIcons.gratipay,
    'grav': FontAwesomeIcons.grav,
    'greaterThan': FontAwesomeIcons.greaterThan,
    'greaterThanEqual': FontAwesomeIcons.greaterThanEqual,
    'grip': FontAwesomeIcons.grip,
    'gripHorizontal': FontAwesomeIcons.grip,
    'gripLines': FontAwesomeIcons.gripLines,
    'gripLinesVertical': FontAwesomeIcons.gripLinesVertical,
    'gripVertical': FontAwesomeIcons.gripVertical,
    'gripfire': FontAwesomeIcons.gripfire,
    'groupArrowsRotate': FontAwesomeIcons.groupArrowsRotate,
    'grunt': FontAwesomeIcons.grunt,
    'guaraniSign': FontAwesomeIcons.guaraniSign,
    'guilded': FontAwesomeIcons.guilded,
    'guitar': FontAwesomeIcons.guitar,
    'gulp': FontAwesomeIcons.gulp,
    'gun': FontAwesomeIcons.gun,
    'h': FontAwesomeIcons.h,
    'hackerNews': FontAwesomeIcons.hackerNews,
    'hackerrank': FontAwesomeIcons.hackerrank,
    'hammer': FontAwesomeIcons.hammer,
    'hamsa': FontAwesomeIcons.hamsa,
    'solidHand': FontAwesomeIcons.solidHand,
    'solidHandPaper': FontAwesomeIcons.solidHand,
    'hand': FontAwesomeIcons.hand,
    'handPaper': FontAwesomeIcons.hand,
    'solidHandBackFist': FontAwesomeIcons.solidHandBackFist,
    'solidHandRock': FontAwesomeIcons.solidHandBackFist,
    'handBackFist': FontAwesomeIcons.handBackFist,
    'handRock': FontAwesomeIcons.handBackFist,
    'handDots': FontAwesomeIcons.handDots,
    'allergies': FontAwesomeIcons.handDots,
    'handFist': FontAwesomeIcons.handFist,
    'fistRaised': FontAwesomeIcons.handFist,
    'handHolding': FontAwesomeIcons.handHolding,
    'handHoldingDollar': FontAwesomeIcons.handHoldingDollar,
    'handHoldingUsd': FontAwesomeIcons.handHoldingDollar,
    'handHoldingDroplet': FontAwesomeIcons.handHoldingDroplet,
    'handHoldingWater': FontAwesomeIcons.handHoldingDroplet,
    'handHoldingHand': FontAwesomeIcons.handHoldingHand,
    'handHoldingHeart': FontAwesomeIcons.handHoldingHeart,
    'handHoldingMedical': FontAwesomeIcons.handHoldingMedical,
    'solidHandLizard': FontAwesomeIcons.solidHandLizard,
    'handLizard': FontAwesomeIcons.handLizard,
    'handMiddleFinger': FontAwesomeIcons.handMiddleFinger,
    'solidHandPeace': FontAwesomeIcons.solidHandPeace,
    'handPeace': FontAwesomeIcons.handPeace,
    'solidHandPointDown': FontAwesomeIcons.solidHandPointDown,
    'handPointDown': FontAwesomeIcons.handPointDown,
    'solidHandPointLeft': FontAwesomeIcons.solidHandPointLeft,
    'handPointLeft': FontAwesomeIcons.handPointLeft,
    'solidHandPointRight': FontAwesomeIcons.solidHandPointRight,
    'handPointRight': FontAwesomeIcons.handPointRight,
    'solidHandPointUp': FontAwesomeIcons.solidHandPointUp,
    'handPointUp': FontAwesomeIcons.handPointUp,
    'solidHandPointer': FontAwesomeIcons.solidHandPointer,
    'handPointer': FontAwesomeIcons.handPointer,
    'solidHandScissors': FontAwesomeIcons.solidHandScissors,
    'handScissors': FontAwesomeIcons.handScissors,
    'handSparkles': FontAwesomeIcons.handSparkles,
    'solidHandSpock': FontAwesomeIcons.solidHandSpock,
    'handSpock': FontAwesomeIcons.handSpock,
    'handcuffs': FontAwesomeIcons.handcuffs,
    'hands': FontAwesomeIcons.hands,
    'signLanguage': FontAwesomeIcons.hands,
    'signing': FontAwesomeIcons.hands,
    'handsAslInterpreting': FontAwesomeIcons.handsAslInterpreting,
    'americanSignLanguageInterpreting': FontAwesomeIcons.handsAslInterpreting,
    'aslInterpreting': FontAwesomeIcons.handsAslInterpreting,
    'handsAmericanSignLanguageInterpreting':
        FontAwesomeIcons.handsAslInterpreting,
    'handsBound': FontAwesomeIcons.handsBound,
    'handsBubbles': FontAwesomeIcons.handsBubbles,
    'handsWash': FontAwesomeIcons.handsBubbles,
    'handsClapping': FontAwesomeIcons.handsClapping,
    'handsHolding': FontAwesomeIcons.handsHolding,
    'handsHoldingChild': FontAwesomeIcons.handsHoldingChild,
    'handsHoldingCircle': FontAwesomeIcons.handsHoldingCircle,
    'handsPraying': FontAwesomeIcons.handsPraying,
    'prayingHands': FontAwesomeIcons.handsPraying,
    'solidHandshake': FontAwesomeIcons.solidHandshake,
    'handshake': FontAwesomeIcons.handshake,
    'handshakeAngle': FontAwesomeIcons.handshakeAngle,
    'handsHelping': FontAwesomeIcons.handshakeAngle,
    'handshakeSimple': FontAwesomeIcons.handshakeSimple,
    'handshakeAlt': FontAwesomeIcons.handshakeSimple,
    'handshakeSimpleSlash': FontAwesomeIcons.handshakeSimpleSlash,
    'handshakeAltSlash': FontAwesomeIcons.handshakeSimpleSlash,
    'handshakeSlash': FontAwesomeIcons.handshakeSlash,
    'hanukiah': FontAwesomeIcons.hanukiah,
    'solidHardDrive': FontAwesomeIcons.solidHardDrive,
    'solidHdd': FontAwesomeIcons.solidHardDrive,
    'hardDrive': FontAwesomeIcons.hardDrive,
    'hdd': FontAwesomeIcons.hardDrive,
    'hashnode': FontAwesomeIcons.hashnode,
    'hashtag': FontAwesomeIcons.hashtag,
    'hatCowboy': FontAwesomeIcons.hatCowboy,
    'hatCowboySide': FontAwesomeIcons.hatCowboySide,
    'hatWizard': FontAwesomeIcons.hatWizard,
    'headSideCough': FontAwesomeIcons.headSideCough,
    'headSideCoughSlash': FontAwesomeIcons.headSideCoughSlash,
    'headSideMask': FontAwesomeIcons.headSideMask,
    'headSideVirus': FontAwesomeIcons.headSideVirus,
    'heading': FontAwesomeIcons.heading,
    'header': FontAwesomeIcons.heading,
    'headphones': FontAwesomeIcons.headphones,
    'headphonesSimple': FontAwesomeIcons.headphonesSimple,
    'headphonesAlt': FontAwesomeIcons.headphonesSimple,
    'headset': FontAwesomeIcons.headset,
    'solidHeart': FontAwesomeIcons.solidHeart,
    'heart': FontAwesomeIcons.heart,
    'heartCircleBolt': FontAwesomeIcons.heartCircleBolt,
    'heartCircleCheck': FontAwesomeIcons.heartCircleCheck,
    'heartCircleExclamation': FontAwesomeIcons.heartCircleExclamation,
    'heartCircleMinus': FontAwesomeIcons.heartCircleMinus,
    'heartCirclePlus': FontAwesomeIcons.heartCirclePlus,
    'heartCircleXmark': FontAwesomeIcons.heartCircleXmark,
    'heartCrack': FontAwesomeIcons.heartCrack,
    'heartBroken': FontAwesomeIcons.heartCrack,
    'heartPulse': FontAwesomeIcons.heartPulse,
    'heartbeat': FontAwesomeIcons.heartPulse,
    'helicopter': FontAwesomeIcons.helicopter,
    'helicopterSymbol': FontAwesomeIcons.helicopterSymbol,
    'helmetSafety': FontAwesomeIcons.helmetSafety,
    'hardHat': FontAwesomeIcons.helmetSafety,
    'hatHard': FontAwesomeIcons.helmetSafety,
    'helmetUn': FontAwesomeIcons.helmetUn,
    'highlighter': FontAwesomeIcons.highlighter,
    'hillAvalanche': FontAwesomeIcons.hillAvalanche,
    'hillRockslide': FontAwesomeIcons.hillRockslide,
    'hippo': FontAwesomeIcons.hippo,
    'hips': FontAwesomeIcons.hips,
    'hireAHelper': FontAwesomeIcons.hireAHelper,
    'hive': FontAwesomeIcons.hive,
    'hockeyPuck': FontAwesomeIcons.hockeyPuck,
    'hollyBerry': FontAwesomeIcons.hollyBerry,
    'hooli': FontAwesomeIcons.hooli,
    'hornbill': FontAwesomeIcons.hornbill,
    'horse': FontAwesomeIcons.horse,
    'horseHead': FontAwesomeIcons.horseHead,
    'solidHospital': FontAwesomeIcons.solidHospital,
    'solidHospitalAlt': FontAwesomeIcons.solidHospital,
    'solidHospitalWide': FontAwesomeIcons.solidHospital,
    'hospital': FontAwesomeIcons.hospital,
    'hospitalAlt': FontAwesomeIcons.hospital,
    'hospitalWide': FontAwesomeIcons.hospital,
    'hospitalUser': FontAwesomeIcons.hospitalUser,
    'hotTubPerson': FontAwesomeIcons.hotTubPerson,
    'hotTub': FontAwesomeIcons.hotTubPerson,
    'hotdog': FontAwesomeIcons.hotdog,
    'hotel': FontAwesomeIcons.hotel,
    'hotjar': FontAwesomeIcons.hotjar,
    'solidHourglass': FontAwesomeIcons.solidHourglass,
    'solidHourglassEmpty': FontAwesomeIcons.solidHourglass,
    'hourglass': FontAwesomeIcons.hourglass,
    'hourglassEmpty': FontAwesomeIcons.hourglass,
    'hourglassEnd': FontAwesomeIcons.hourglassEnd,
    'hourglass3': FontAwesomeIcons.hourglassEnd,
    'solidHourglassHalf': FontAwesomeIcons.solidHourglassHalf,
    'solidHourglass2': FontAwesomeIcons.solidHourglassHalf,
    'hourglassHalf': FontAwesomeIcons.hourglassHalf,
    'hourglass2': FontAwesomeIcons.hourglassHalf,
    'hourglassStart': FontAwesomeIcons.hourglassStart,
    'hourglass1': FontAwesomeIcons.hourglassStart,
    'house': FontAwesomeIcons.house,
    'home': FontAwesomeIcons.house,
    'homeAlt': FontAwesomeIcons.house,
    'homeLgAlt': FontAwesomeIcons.house,
    'houseChimney': FontAwesomeIcons.houseChimney,
    'homeLg': FontAwesomeIcons.houseChimney,
    'houseChimneyCrack': FontAwesomeIcons.houseChimneyCrack,
    'houseDamage': FontAwesomeIcons.houseChimneyCrack,
    'houseChimneyMedical': FontAwesomeIcons.houseChimneyMedical,
    'clinicMedical': FontAwesomeIcons.houseChimneyMedical,
    'houseChimneyUser': FontAwesomeIcons.houseChimneyUser,
    'houseChimneyWindow': FontAwesomeIcons.houseChimneyWindow,
    'houseCircleCheck': FontAwesomeIcons.houseCircleCheck,
    'houseCircleExclamation': FontAwesomeIcons.houseCircleExclamation,
    'houseCircleXmark': FontAwesomeIcons.houseCircleXmark,
    'houseCrack': FontAwesomeIcons.houseCrack,
    'houseFire': FontAwesomeIcons.houseFire,
    'houseFlag': FontAwesomeIcons.houseFlag,
    'houseFloodWater': FontAwesomeIcons.houseFloodWater,
    'houseFloodWaterCircleArrowRight':
        FontAwesomeIcons.houseFloodWaterCircleArrowRight,
    'houseLaptop': FontAwesomeIcons.houseLaptop,
    'laptopHouse': FontAwesomeIcons.houseLaptop,
    'houseLock': FontAwesomeIcons.houseLock,
    'houseMedical': FontAwesomeIcons.houseMedical,
    'houseMedicalCircleCheck': FontAwesomeIcons.houseMedicalCircleCheck,
    'houseMedicalCircleExclamation':
        FontAwesomeIcons.houseMedicalCircleExclamation,
    'houseMedicalCircleXmark': FontAwesomeIcons.houseMedicalCircleXmark,
    'houseMedicalFlag': FontAwesomeIcons.houseMedicalFlag,
    'houseSignal': FontAwesomeIcons.houseSignal,
    'houseTsunami': FontAwesomeIcons.houseTsunami,
    'houseUser': FontAwesomeIcons.houseUser,
    'homeUser': FontAwesomeIcons.houseUser,
    'houzz': FontAwesomeIcons.houzz,
    'hryvniaSign': FontAwesomeIcons.hryvniaSign,
    'hryvnia': FontAwesomeIcons.hryvniaSign,
    'html5': FontAwesomeIcons.html5,
    'hubspot': FontAwesomeIcons.hubspot,
    'hurricane': FontAwesomeIcons.hurricane,
    'i': FontAwesomeIcons.i,
    'iCursor': FontAwesomeIcons.iCursor,
    'iceCream': FontAwesomeIcons.iceCream,
    'icicles': FontAwesomeIcons.icicles,
    'icons': FontAwesomeIcons.icons,
    'heartMusicCameraBolt': FontAwesomeIcons.icons,
    'solidIdBadge': FontAwesomeIcons.solidIdBadge,
    'idBadge': FontAwesomeIcons.idBadge,
    'solidIdCard': FontAwesomeIcons.solidIdCard,
    'solidDriversLicense': FontAwesomeIcons.solidIdCard,
    'idCard': FontAwesomeIcons.idCard,
    'driversLicense': FontAwesomeIcons.idCard,
    'idCardClip': FontAwesomeIcons.idCardClip,
    'idCardAlt': FontAwesomeIcons.idCardClip,
    'ideal': FontAwesomeIcons.ideal,
    'igloo': FontAwesomeIcons.igloo,
    'solidImage': FontAwesomeIcons.solidImage,
    'image': FontAwesomeIcons.image,
    'imagePortrait': FontAwesomeIcons.imagePortrait,
    'portrait': FontAwesomeIcons.imagePortrait,
    'solidImages': FontAwesomeIcons.solidImages,
    'images': FontAwesomeIcons.images,
    'imdb': FontAwesomeIcons.imdb,
    'inbox': FontAwesomeIcons.inbox,
    'indent': FontAwesomeIcons.indent,
    'indianRupeeSign': FontAwesomeIcons.indianRupeeSign,
    'indianRupee': FontAwesomeIcons.indianRupeeSign,
    'inr': FontAwesomeIcons.indianRupeeSign,
    'industry': FontAwesomeIcons.industry,
    'infinity': FontAwesomeIcons.infinity,
    'info': FontAwesomeIcons.info,
    'instagram': FontAwesomeIcons.instagram,
    'instalod': FontAwesomeIcons.instalod,
    'intercom': FontAwesomeIcons.intercom,
    'internetExplorer': FontAwesomeIcons.internetExplorer,
    'invision': FontAwesomeIcons.invision,
    'ioxhost': FontAwesomeIcons.ioxhost,
    'italic': FontAwesomeIcons.italic,
    'itchIo': FontAwesomeIcons.itchIo,
    'itunes': FontAwesomeIcons.itunes,
    'itunesNote': FontAwesomeIcons.itunesNote,
    'j': FontAwesomeIcons.j,
    'jar': FontAwesomeIcons.jar,
    'jarWheat': FontAwesomeIcons.jarWheat,
    'java': FontAwesomeIcons.java,
    'jedi': FontAwesomeIcons.jedi,
    'jediOrder': FontAwesomeIcons.jediOrder,
    'jenkins': FontAwesomeIcons.jenkins,
    'jetFighter': FontAwesomeIcons.jetFighter,
    'fighterJet': FontAwesomeIcons.jetFighter,
    'jetFighterUp': FontAwesomeIcons.jetFighterUp,
    'jira': FontAwesomeIcons.jira,
    'joget': FontAwesomeIcons.joget,
    'joint': FontAwesomeIcons.joint,
    'joomla': FontAwesomeIcons.joomla,
    'js': FontAwesomeIcons.js,
    'jsfiddle': FontAwesomeIcons.jsfiddle,
    'jugDetergent': FontAwesomeIcons.jugDetergent,
    'k': FontAwesomeIcons.k,
    'kaaba': FontAwesomeIcons.kaaba,
    'kaggle': FontAwesomeIcons.kaggle,
    'key': FontAwesomeIcons.key,
    'keybase': FontAwesomeIcons.keybase,
    'solidKeyboard': FontAwesomeIcons.solidKeyboard,
    'keyboard': FontAwesomeIcons.keyboard,
    'keycdn': FontAwesomeIcons.keycdn,
    'khanda': FontAwesomeIcons.khanda,
    'kickstarter': FontAwesomeIcons.kickstarter,
    'kickstarterK': FontAwesomeIcons.kickstarterK,
    'kipSign': FontAwesomeIcons.kipSign,
    'kitMedical': FontAwesomeIcons.kitMedical,
    'firstAid': FontAwesomeIcons.kitMedical,
    'kitchenSet': FontAwesomeIcons.kitchenSet,
    'kiwiBird': FontAwesomeIcons.kiwiBird,
    'korvue': FontAwesomeIcons.korvue,
    'l': FontAwesomeIcons.l,
    'landMineOn': FontAwesomeIcons.landMineOn,
    'landmark': FontAwesomeIcons.landmark,
    'landmarkDome': FontAwesomeIcons.landmarkDome,
    'landmarkAlt': FontAwesomeIcons.landmarkDome,
    'landmarkFlag': FontAwesomeIcons.landmarkFlag,
    'language': FontAwesomeIcons.language,
    'laptop': FontAwesomeIcons.laptop,
    'laptopCode': FontAwesomeIcons.laptopCode,
    'laptopFile': FontAwesomeIcons.laptopFile,
    'laptopMedical': FontAwesomeIcons.laptopMedical,
    'laravel': FontAwesomeIcons.laravel,
    'lariSign': FontAwesomeIcons.lariSign,
    'lastfm': FontAwesomeIcons.lastfm,
    'layerGroup': FontAwesomeIcons.layerGroup,
    'leaf': FontAwesomeIcons.leaf,
    'leanpub': FontAwesomeIcons.leanpub,
    'leftLong': FontAwesomeIcons.leftLong,
    'longArrowAltLeft': FontAwesomeIcons.leftLong,
    'leftRight': FontAwesomeIcons.leftRight,
    'arrowsAltH': FontAwesomeIcons.leftRight,
    'solidLemon': FontAwesomeIcons.solidLemon,
    'lemon': FontAwesomeIcons.lemon,
    'less': FontAwesomeIcons.less,
    'lessThan': FontAwesomeIcons.lessThan,
    'lessThanEqual': FontAwesomeIcons.lessThanEqual,
    'solidLifeRing': FontAwesomeIcons.solidLifeRing,
    'lifeRing': FontAwesomeIcons.lifeRing,
    'solidLightbulb': FontAwesomeIcons.solidLightbulb,
    'lightbulb': FontAwesomeIcons.lightbulb,
    'line': FontAwesomeIcons.line,
    'linesLeaning': FontAwesomeIcons.linesLeaning,
    'link': FontAwesomeIcons.link,
    'chain': FontAwesomeIcons.link,
    'linkSlash': FontAwesomeIcons.linkSlash,
    'chainBroken': FontAwesomeIcons.linkSlash,
    'chainSlash': FontAwesomeIcons.linkSlash,
    'unlink': FontAwesomeIcons.linkSlash,
    'linkedin': FontAwesomeIcons.linkedin,
    'linkedinIn': FontAwesomeIcons.linkedinIn,
    'linode': FontAwesomeIcons.linode,
    'linux': FontAwesomeIcons.linux,
    'liraSign': FontAwesomeIcons.liraSign,
    'list': FontAwesomeIcons.list,
    'listSquares': FontAwesomeIcons.list,
    'listCheck': FontAwesomeIcons.listCheck,
    'tasks': FontAwesomeIcons.listCheck,
    'listOl': FontAwesomeIcons.listOl,
    'list12': FontAwesomeIcons.listOl,
    'listNumeric': FontAwesomeIcons.listOl,
    'listUl': FontAwesomeIcons.listUl,
    'listDots': FontAwesomeIcons.listUl,
    'litecoinSign': FontAwesomeIcons.litecoinSign,
    'locationArrow': FontAwesomeIcons.locationArrow,
    'locationCrosshairs': FontAwesomeIcons.locationCrosshairs,
    'location': FontAwesomeIcons.locationCrosshairs,
    'locationDot': FontAwesomeIcons.locationDot,
    'mapMarkerAlt': FontAwesomeIcons.locationDot,
    'locationPin': FontAwesomeIcons.locationPin,
    'mapMarker': FontAwesomeIcons.locationPin,
    'locationPinLock': FontAwesomeIcons.locationPinLock,
    'lock': FontAwesomeIcons.lock,
    'lockOpen': FontAwesomeIcons.lockOpen,
    'locust': FontAwesomeIcons.locust,
    'lungs': FontAwesomeIcons.lungs,
    'lungsVirus': FontAwesomeIcons.lungsVirus,
    'lyft': FontAwesomeIcons.lyft,
    'm': FontAwesomeIcons.m,
    'magento': FontAwesomeIcons.magento,
    'magnet': FontAwesomeIcons.magnet,
    'magnifyingGlass': FontAwesomeIcons.magnifyingGlass,
    'search': FontAwesomeIcons.magnifyingGlass,
    'magnifyingGlassArrowRight': FontAwesomeIcons.magnifyingGlassArrowRight,
    'magnifyingGlassChart': FontAwesomeIcons.magnifyingGlassChart,
    'magnifyingGlassDollar': FontAwesomeIcons.magnifyingGlassDollar,
    'searchDollar': FontAwesomeIcons.magnifyingGlassDollar,
    'magnifyingGlassLocation': FontAwesomeIcons.magnifyingGlassLocation,
    'searchLocation': FontAwesomeIcons.magnifyingGlassLocation,
    'magnifyingGlassMinus': FontAwesomeIcons.magnifyingGlassMinus,
    'searchMinus': FontAwesomeIcons.magnifyingGlassMinus,
    'magnifyingGlassPlus': FontAwesomeIcons.magnifyingGlassPlus,
    'searchPlus': FontAwesomeIcons.magnifyingGlassPlus,
    'mailchimp': FontAwesomeIcons.mailchimp,
    'manatSign': FontAwesomeIcons.manatSign,
    'mandalorian': FontAwesomeIcons.mandalorian,
    'solidMap': FontAwesomeIcons.solidMap,
    'map': FontAwesomeIcons.map,
    'mapLocation': FontAwesomeIcons.mapLocation,
    'mapMarked': FontAwesomeIcons.mapLocation,
    'mapLocationDot': FontAwesomeIcons.mapLocationDot,
    'mapMarkedAlt': FontAwesomeIcons.mapLocationDot,
    'mapPin': FontAwesomeIcons.mapPin,
    'markdown': FontAwesomeIcons.markdown,
    'marker': FontAwesomeIcons.marker,
    'mars': FontAwesomeIcons.mars,
    'marsAndVenus': FontAwesomeIcons.marsAndVenus,
    'marsAndVenusBurst': FontAwesomeIcons.marsAndVenusBurst,
    'marsDouble': FontAwesomeIcons.marsDouble,
    'marsStroke': FontAwesomeIcons.marsStroke,
    'marsStrokeRight': FontAwesomeIcons.marsStrokeRight,
    'marsStrokeH': FontAwesomeIcons.marsStrokeRight,
    'marsStrokeUp': FontAwesomeIcons.marsStrokeUp,
    'marsStrokeV': FontAwesomeIcons.marsStrokeUp,
    'martiniGlass': FontAwesomeIcons.martiniGlass,
    'glassMartiniAlt': FontAwesomeIcons.martiniGlass,
    'martiniGlassCitrus': FontAwesomeIcons.martiniGlassCitrus,
    'cocktail': FontAwesomeIcons.martiniGlassCitrus,
    'martiniGlassEmpty': FontAwesomeIcons.martiniGlassEmpty,
    'glassMartini': FontAwesomeIcons.martiniGlassEmpty,
    'mask': FontAwesomeIcons.mask,
    'maskFace': FontAwesomeIcons.maskFace,
    'maskVentilator': FontAwesomeIcons.maskVentilator,
    'masksTheater': FontAwesomeIcons.masksTheater,
    'theaterMasks': FontAwesomeIcons.masksTheater,
    'mastodon': FontAwesomeIcons.mastodon,
    'mattressPillow': FontAwesomeIcons.mattressPillow,
    'maxcdn': FontAwesomeIcons.maxcdn,
    'maximize': FontAwesomeIcons.maximize,
    'expandArrowsAlt': FontAwesomeIcons.maximize,
    'mdb': FontAwesomeIcons.mdb,
    'medal': FontAwesomeIcons.medal,
    'medapps': FontAwesomeIcons.medapps,
    'medium': FontAwesomeIcons.medium,
    'mediumM': FontAwesomeIcons.medium,
    'medrt': FontAwesomeIcons.medrt,
    'meetup': FontAwesomeIcons.meetup,
    'megaport': FontAwesomeIcons.megaport,
    'memory': FontAwesomeIcons.memory,
    'mendeley': FontAwesomeIcons.mendeley,
    'menorah': FontAwesomeIcons.menorah,
    'mercury': FontAwesomeIcons.mercury,
    'solidMessage': FontAwesomeIcons.solidMessage,
    'solidCommentAlt': FontAwesomeIcons.solidMessage,
    'message': FontAwesomeIcons.message,
    'commentAlt': FontAwesomeIcons.message,
    'meta': FontAwesomeIcons.meta,
    'meteor': FontAwesomeIcons.meteor,
    'microblog': FontAwesomeIcons.microblog,
    'microchip': FontAwesomeIcons.microchip,
    'microphone': FontAwesomeIcons.microphone,
    'microphoneLines': FontAwesomeIcons.microphoneLines,
    'microphoneAlt': FontAwesomeIcons.microphoneLines,
    'microphoneLinesSlash': FontAwesomeIcons.microphoneLinesSlash,
    'microphoneAltSlash': FontAwesomeIcons.microphoneLinesSlash,
    'microphoneSlash': FontAwesomeIcons.microphoneSlash,
    'microscope': FontAwesomeIcons.microscope,
    'microsoft': FontAwesomeIcons.microsoft,
    'millSign': FontAwesomeIcons.millSign,
    'minimize': FontAwesomeIcons.minimize,
    'compressArrowsAlt': FontAwesomeIcons.minimize,
    'minus': FontAwesomeIcons.minus,
    'subtract': FontAwesomeIcons.minus,
    'mitten': FontAwesomeIcons.mitten,
    'mix': FontAwesomeIcons.mix,
    'mixcloud': FontAwesomeIcons.mixcloud,
    'mixer': FontAwesomeIcons.mixer,
    'mizuni': FontAwesomeIcons.mizuni,
    'mobile': FontAwesomeIcons.mobile,
    'mobileAndroid': FontAwesomeIcons.mobile,
    'mobilePhone': FontAwesomeIcons.mobile,
    'mobileButton': FontAwesomeIcons.mobileButton,
    'mobileRetro': FontAwesomeIcons.mobileRetro,
    'mobileScreen': FontAwesomeIcons.mobileScreen,
    'mobileAndroidAlt': FontAwesomeIcons.mobileScreen,
    'mobileScreenButton': FontAwesomeIcons.mobileScreenButton,
    'mobileAlt': FontAwesomeIcons.mobileScreenButton,
    'modx': FontAwesomeIcons.modx,
    'monero': FontAwesomeIcons.monero,
    'moneyBill': FontAwesomeIcons.moneyBill,
    'solidMoneyBill1': FontAwesomeIcons.solidMoneyBill1,
    'solidMoneyBillAlt': FontAwesomeIcons.solidMoneyBill1,
    'moneyBill1': FontAwesomeIcons.moneyBill1,
    'moneyBillAlt': FontAwesomeIcons.moneyBill1,
    'moneyBill1Wave': FontAwesomeIcons.moneyBill1Wave,
    'moneyBillWaveAlt': FontAwesomeIcons.moneyBill1Wave,
    'moneyBillTransfer': FontAwesomeIcons.moneyBillTransfer,
    'moneyBillTrendUp': FontAwesomeIcons.moneyBillTrendUp,
    'moneyBillWave': FontAwesomeIcons.moneyBillWave,
    'moneyBillWheat': FontAwesomeIcons.moneyBillWheat,
    'moneyBills': FontAwesomeIcons.moneyBills,
    'moneyCheck': FontAwesomeIcons.moneyCheck,
    'moneyCheckDollar': FontAwesomeIcons.moneyCheckDollar,
    'moneyCheckAlt': FontAwesomeIcons.moneyCheckDollar,
    'monument': FontAwesomeIcons.monument,
    'solidMoon': FontAwesomeIcons.solidMoon,
    'moon': FontAwesomeIcons.moon,
    'mortarPestle': FontAwesomeIcons.mortarPestle,
    'mosque': FontAwesomeIcons.mosque,
    'mosquito': FontAwesomeIcons.mosquito,
    'mosquitoNet': FontAwesomeIcons.mosquitoNet,
    'motorcycle': FontAwesomeIcons.motorcycle,
    'mound': FontAwesomeIcons.mound,
    'mountain': FontAwesomeIcons.mountain,
    'mountainCity': FontAwesomeIcons.mountainCity,
    'mountainSun': FontAwesomeIcons.mountainSun,
    'mugHot': FontAwesomeIcons.mugHot,
    'mugSaucer': FontAwesomeIcons.mugSaucer,
    'coffee': FontAwesomeIcons.mugSaucer,
    'music': FontAwesomeIcons.music,
    'n': FontAwesomeIcons.n,
    'nairaSign': FontAwesomeIcons.nairaSign,
    'napster': FontAwesomeIcons.napster,
    'neos': FontAwesomeIcons.neos,
    'networkWired': FontAwesomeIcons.networkWired,
    'neuter': FontAwesomeIcons.neuter,
    'solidNewspaper': FontAwesomeIcons.solidNewspaper,
    'newspaper': FontAwesomeIcons.newspaper,
    'nfcDirectional': FontAwesomeIcons.nfcDirectional,
    'nfcSymbol': FontAwesomeIcons.nfcSymbol,
    'nimblr': FontAwesomeIcons.nimblr,
    'node': FontAwesomeIcons.node,
    'nodeJs': FontAwesomeIcons.nodeJs,
    'notEqual': FontAwesomeIcons.notEqual,
    'notdef': FontAwesomeIcons.notdef,
    'solidNoteSticky': FontAwesomeIcons.solidNoteSticky,
    'solidStickyNote': FontAwesomeIcons.solidNoteSticky,
    'noteSticky': FontAwesomeIcons.noteSticky,
    'stickyNote': FontAwesomeIcons.noteSticky,
    'notesMedical': FontAwesomeIcons.notesMedical,
    'npm': FontAwesomeIcons.npm,
    'ns8': FontAwesomeIcons.ns8,
    'nutritionix': FontAwesomeIcons.nutritionix,
    'o': FontAwesomeIcons.o,
    'solidObjectGroup': FontAwesomeIcons.solidObjectGroup,
    'objectGroup': FontAwesomeIcons.objectGroup,
    'solidObjectUngroup': FontAwesomeIcons.solidObjectUngroup,
    'objectUngroup': FontAwesomeIcons.objectUngroup,
    'octopusDeploy': FontAwesomeIcons.octopusDeploy,
    'odnoklassniki': FontAwesomeIcons.odnoklassniki,
    'oilCan': FontAwesomeIcons.oilCan,
    'oilWell': FontAwesomeIcons.oilWell,
    'oldRepublic': FontAwesomeIcons.oldRepublic,
    'om': FontAwesomeIcons.om,
    'opencart': FontAwesomeIcons.opencart,
    'openid': FontAwesomeIcons.openid,
    'opera': FontAwesomeIcons.opera,
    'optinMonster': FontAwesomeIcons.optinMonster,
    'orcid': FontAwesomeIcons.orcid,
    'osi': FontAwesomeIcons.osi,
    'otter': FontAwesomeIcons.otter,
    'outdent': FontAwesomeIcons.outdent,
    'dedent': FontAwesomeIcons.outdent,
    'p': FontAwesomeIcons.p,
    'padlet': FontAwesomeIcons.padlet,
    'page4': FontAwesomeIcons.page4,
    'pagelines': FontAwesomeIcons.pagelines,
    'pager': FontAwesomeIcons.pager,
    'paintRoller': FontAwesomeIcons.paintRoller,
    'paintbrush': FontAwesomeIcons.paintbrush,
    'paintBrush': FontAwesomeIcons.paintbrush,
    'palette': FontAwesomeIcons.palette,
    'palfed': FontAwesomeIcons.palfed,
    'pallet': FontAwesomeIcons.pallet,
    'panorama': FontAwesomeIcons.panorama,
    'solidPaperPlane': FontAwesomeIcons.solidPaperPlane,
    'paperPlane': FontAwesomeIcons.paperPlane,
    'paperclip': FontAwesomeIcons.paperclip,
    'parachuteBox': FontAwesomeIcons.parachuteBox,
    'paragraph': FontAwesomeIcons.paragraph,
    'passport': FontAwesomeIcons.passport,
    'solidPaste': FontAwesomeIcons.solidPaste,
    'solidFileClipboard': FontAwesomeIcons.solidPaste,
    'paste': FontAwesomeIcons.paste,
    'fileClipboard': FontAwesomeIcons.paste,
    'patreon': FontAwesomeIcons.patreon,
    'pause': FontAwesomeIcons.pause,
    'paw': FontAwesomeIcons.paw,
    'paypal': FontAwesomeIcons.paypal,
    'peace': FontAwesomeIcons.peace,
    'pen': FontAwesomeIcons.pen,
    'penClip': FontAwesomeIcons.penClip,
    'penAlt': FontAwesomeIcons.penClip,
    'penFancy': FontAwesomeIcons.penFancy,
    'penNib': FontAwesomeIcons.penNib,
    'penRuler': FontAwesomeIcons.penRuler,
    'pencilRuler': FontAwesomeIcons.penRuler,
    'solidPenToSquare': FontAwesomeIcons.solidPenToSquare,
    'solidEdit': FontAwesomeIcons.solidPenToSquare,
    'penToSquare': FontAwesomeIcons.penToSquare,
    'edit': FontAwesomeIcons.penToSquare,
    'pencil': FontAwesomeIcons.pencil,
    'pencilAlt': FontAwesomeIcons.pencil,
    'peopleArrows': FontAwesomeIcons.peopleArrows,
    'peopleArrowsLeftRight': FontAwesomeIcons.peopleArrows,
    'peopleCarryBox': FontAwesomeIcons.peopleCarryBox,
    'peopleCarry': FontAwesomeIcons.peopleCarryBox,
    'peopleGroup': FontAwesomeIcons.peopleGroup,
    'peopleLine': FontAwesomeIcons.peopleLine,
    'peoplePulling': FontAwesomeIcons.peoplePulling,
    'peopleRobbery': FontAwesomeIcons.peopleRobbery,
    'peopleRoof': FontAwesomeIcons.peopleRoof,
    'pepperHot': FontAwesomeIcons.pepperHot,
    'perbyte': FontAwesomeIcons.perbyte,
    'percent': FontAwesomeIcons.percent,
    'percentage': FontAwesomeIcons.percent,
    'periscope': FontAwesomeIcons.periscope,
    'person': FontAwesomeIcons.person,
    'male': FontAwesomeIcons.person,
    'personArrowDownToLine': FontAwesomeIcons.personArrowDownToLine,
    'personArrowUpFromLine': FontAwesomeIcons.personArrowUpFromLine,
    'personBiking': FontAwesomeIcons.personBiking,
    'biking': FontAwesomeIcons.personBiking,
    'personBooth': FontAwesomeIcons.personBooth,
    'personBreastfeeding': FontAwesomeIcons.personBreastfeeding,
    'personBurst': FontAwesomeIcons.personBurst,
    'personCane': FontAwesomeIcons.personCane,
    'personChalkboard': FontAwesomeIcons.personChalkboard,
    'personCircleCheck': FontAwesomeIcons.personCircleCheck,
    'personCircleExclamation': FontAwesomeIcons.personCircleExclamation,
    'personCircleMinus': FontAwesomeIcons.personCircleMinus,
    'personCirclePlus': FontAwesomeIcons.personCirclePlus,
    'personCircleQuestion': FontAwesomeIcons.personCircleQuestion,
    'personCircleXmark': FontAwesomeIcons.personCircleXmark,
    'personDigging': FontAwesomeIcons.personDigging,
    'digging': FontAwesomeIcons.personDigging,
    'personDotsFromLine': FontAwesomeIcons.personDotsFromLine,
    'diagnoses': FontAwesomeIcons.personDotsFromLine,
    'personDress': FontAwesomeIcons.personDress,
    'female': FontAwesomeIcons.personDress,
    'personDressBurst': FontAwesomeIcons.personDressBurst,
    'personDrowning': FontAwesomeIcons.personDrowning,
    'personFalling': FontAwesomeIcons.personFalling,
    'personFallingBurst': FontAwesomeIcons.personFallingBurst,
    'personHalfDress': FontAwesomeIcons.personHalfDress,
    'personHarassing': FontAwesomeIcons.personHarassing,
    'personHiking': FontAwesomeIcons.personHiking,
    'hiking': FontAwesomeIcons.personHiking,
    'personMilitaryPointing': FontAwesomeIcons.personMilitaryPointing,
    'personMilitaryRifle': FontAwesomeIcons.personMilitaryRifle,
    'personMilitaryToPerson': FontAwesomeIcons.personMilitaryToPerson,
    'personPraying': FontAwesomeIcons.personPraying,
    'pray': FontAwesomeIcons.personPraying,
    'personPregnant': FontAwesomeIcons.personPregnant,
    'personRays': FontAwesomeIcons.personRays,
    'personRifle': FontAwesomeIcons.personRifle,
    'personRunning': FontAwesomeIcons.personRunning,
    'running': FontAwesomeIcons.personRunning,
    'personShelter': FontAwesomeIcons.personShelter,
    'personSkating': FontAwesomeIcons.personSkating,
    'skating': FontAwesomeIcons.personSkating,
    'personSkiing': FontAwesomeIcons.personSkiing,
    'skiing': FontAwesomeIcons.personSkiing,
    'personSkiingNordic': FontAwesomeIcons.personSkiingNordic,
    'skiingNordic': FontAwesomeIcons.personSkiingNordic,
    'personSnowboarding': FontAwesomeIcons.personSnowboarding,
    'snowboarding': FontAwesomeIcons.personSnowboarding,
    'personSwimming': FontAwesomeIcons.personSwimming,
    'swimmer': FontAwesomeIcons.personSwimming,
    'personThroughWindow': FontAwesomeIcons.personThroughWindow,
    'personWalking': FontAwesomeIcons.personWalking,
    'walking': FontAwesomeIcons.personWalking,
    'personWalkingArrowLoopLeft': FontAwesomeIcons.personWalkingArrowLoopLeft,
    'personWalkingArrowRight': FontAwesomeIcons.personWalkingArrowRight,
    'personWalkingDashedLineArrowRight':
        FontAwesomeIcons.personWalkingDashedLineArrowRight,
    'personWalkingLuggage': FontAwesomeIcons.personWalkingLuggage,
    'personWalkingWithCane': FontAwesomeIcons.personWalkingWithCane,
    'blind': FontAwesomeIcons.personWalkingWithCane,
    'pesetaSign': FontAwesomeIcons.pesetaSign,
    'pesoSign': FontAwesomeIcons.pesoSign,
    'phabricator': FontAwesomeIcons.phabricator,
    'phoenixFramework': FontAwesomeIcons.phoenixFramework,
    'phoenixSquadron': FontAwesomeIcons.phoenixSquadron,
    'phone': FontAwesomeIcons.phone,
    'phoneFlip': FontAwesomeIcons.phoneFlip,
    'phoneAlt': FontAwesomeIcons.phoneFlip,
    'phoneSlash': FontAwesomeIcons.phoneSlash,
    'phoneVolume': FontAwesomeIcons.phoneVolume,
    'volumeControlPhone': FontAwesomeIcons.phoneVolume,
    'photoFilm': FontAwesomeIcons.photoFilm,
    'photoVideo': FontAwesomeIcons.photoFilm,
    'php': FontAwesomeIcons.php,
    'piedPiper': FontAwesomeIcons.piedPiper,
    'piedPiperAlt': FontAwesomeIcons.piedPiperAlt,
    'piedPiperHat': FontAwesomeIcons.piedPiperHat,
    'piedPiperPp': FontAwesomeIcons.piedPiperPp,
    'piggyBank': FontAwesomeIcons.piggyBank,
    'pills': FontAwesomeIcons.pills,
    'pinterest': FontAwesomeIcons.pinterest,
    'pinterestP': FontAwesomeIcons.pinterestP,
    'pix': FontAwesomeIcons.pix,
    'pizzaSlice': FontAwesomeIcons.pizzaSlice,
    'placeOfWorship': FontAwesomeIcons.placeOfWorship,
    'plane': FontAwesomeIcons.plane,
    'planeArrival': FontAwesomeIcons.planeArrival,
    'planeCircleCheck': FontAwesomeIcons.planeCircleCheck,
    'planeCircleExclamation': FontAwesomeIcons.planeCircleExclamation,
    'planeCircleXmark': FontAwesomeIcons.planeCircleXmark,
    'planeDeparture': FontAwesomeIcons.planeDeparture,
    'planeLock': FontAwesomeIcons.planeLock,
    'planeSlash': FontAwesomeIcons.planeSlash,
    'planeUp': FontAwesomeIcons.planeUp,
    'plantWilt': FontAwesomeIcons.plantWilt,
    'plateWheat': FontAwesomeIcons.plateWheat,
    'play': FontAwesomeIcons.play,
    'playstation': FontAwesomeIcons.playstation,
    'plug': FontAwesomeIcons.plug,
    'plugCircleBolt': FontAwesomeIcons.plugCircleBolt,
    'plugCircleCheck': FontAwesomeIcons.plugCircleCheck,
    'plugCircleExclamation': FontAwesomeIcons.plugCircleExclamation,
    'plugCircleMinus': FontAwesomeIcons.plugCircleMinus,
    'plugCirclePlus': FontAwesomeIcons.plugCirclePlus,
    'plugCircleXmark': FontAwesomeIcons.plugCircleXmark,
    'plus': FontAwesomeIcons.plus,
    'add': FontAwesomeIcons.plus,
    'plusMinus': FontAwesomeIcons.plusMinus,
    'podcast': FontAwesomeIcons.podcast,
    'poo': FontAwesomeIcons.poo,
    'pooStorm': FontAwesomeIcons.pooStorm,
    'pooBolt': FontAwesomeIcons.pooStorm,
    'poop': FontAwesomeIcons.poop,
    'powerOff': FontAwesomeIcons.powerOff,
    'prescription': FontAwesomeIcons.prescription,
    'prescriptionBottle': FontAwesomeIcons.prescriptionBottle,
    'prescriptionBottleMedical': FontAwesomeIcons.prescriptionBottleMedical,
    'prescriptionBottleAlt': FontAwesomeIcons.prescriptionBottleMedical,
    'print': FontAwesomeIcons.print,
    'productHunt': FontAwesomeIcons.productHunt,
    'pumpMedical': FontAwesomeIcons.pumpMedical,
    'pumpSoap': FontAwesomeIcons.pumpSoap,
    'pushed': FontAwesomeIcons.pushed,
    'puzzlePiece': FontAwesomeIcons.puzzlePiece,
    'python': FontAwesomeIcons.python,
    'q': FontAwesomeIcons.q,
    'qq': FontAwesomeIcons.qq,
    'qrcode': FontAwesomeIcons.qrcode,
    'question': FontAwesomeIcons.question,
    'quinscape': FontAwesomeIcons.quinscape,
    'quora': FontAwesomeIcons.quora,
    'quoteLeft': FontAwesomeIcons.quoteLeft,
    'quoteLeftAlt': FontAwesomeIcons.quoteLeft,
    'quoteRight': FontAwesomeIcons.quoteRight,
    'quoteRightAlt': FontAwesomeIcons.quoteRight,
    'r': FontAwesomeIcons.r,
    'rProject': FontAwesomeIcons.rProject,
    'radiation': FontAwesomeIcons.radiation,
    'radio': FontAwesomeIcons.radio,
    'rainbow': FontAwesomeIcons.rainbow,
    'rankingStar': FontAwesomeIcons.rankingStar,
    'raspberryPi': FontAwesomeIcons.raspberryPi,
    'ravelry': FontAwesomeIcons.ravelry,
    'react': FontAwesomeIcons.react,
    'reacteurope': FontAwesomeIcons.reacteurope,
    'readme': FontAwesomeIcons.readme,
    'rebel': FontAwesomeIcons.rebel,
    'receipt': FontAwesomeIcons.receipt,
    'recordVinyl': FontAwesomeIcons.recordVinyl,
    'rectangleAd': FontAwesomeIcons.rectangleAd,
    'ad': FontAwesomeIcons.rectangleAd,
    'solidRectangleList': FontAwesomeIcons.solidRectangleList,
    'solidListAlt': FontAwesomeIcons.solidRectangleList,
    'rectangleList': FontAwesomeIcons.rectangleList,
    'listAlt': FontAwesomeIcons.rectangleList,
    'solidRectangleXmark': FontAwesomeIcons.solidRectangleXmark,
    'solidRectangleTimes': FontAwesomeIcons.solidRectangleXmark,
    'solidTimesRectangle': FontAwesomeIcons.solidRectangleXmark,
    'solidWindowClose': FontAwesomeIcons.solidRectangleXmark,
    'rectangleXmark': FontAwesomeIcons.rectangleXmark,
    'rectangleTimes': FontAwesomeIcons.rectangleXmark,
    'timesRectangle': FontAwesomeIcons.rectangleXmark,
    'windowClose': FontAwesomeIcons.rectangleXmark,
    'recycle': FontAwesomeIcons.recycle,
    'redRiver': FontAwesomeIcons.redRiver,
    'reddit': FontAwesomeIcons.reddit,
    'redditAlien': FontAwesomeIcons.redditAlien,
    'redhat': FontAwesomeIcons.redhat,
    'solidRegistered': FontAwesomeIcons.solidRegistered,
    'registered': FontAwesomeIcons.registered,
    'renren': FontAwesomeIcons.renren,
    'repeat': FontAwesomeIcons.repeat,
    'reply': FontAwesomeIcons.reply,
    'mailReply': FontAwesomeIcons.reply,
    'replyAll': FontAwesomeIcons.replyAll,
    'mailReplyAll': FontAwesomeIcons.replyAll,
    'replyd': FontAwesomeIcons.replyd,
    'republican': FontAwesomeIcons.republican,
    'researchgate': FontAwesomeIcons.researchgate,
    'resolving': FontAwesomeIcons.resolving,
    'restroom': FontAwesomeIcons.restroom,
    'retweet': FontAwesomeIcons.retweet,
    'rev': FontAwesomeIcons.rev,
    'ribbon': FontAwesomeIcons.ribbon,
    'rightFromBracket': FontAwesomeIcons.rightFromBracket,
    'signOutAlt': FontAwesomeIcons.rightFromBracket,
    'rightLeft': FontAwesomeIcons.rightLeft,
    'exchangeAlt': FontAwesomeIcons.rightLeft,
    'rightLong': FontAwesomeIcons.rightLong,
    'longArrowAltRight': FontAwesomeIcons.rightLong,
    'rightToBracket': FontAwesomeIcons.rightToBracket,
    'signInAlt': FontAwesomeIcons.rightToBracket,
    'ring': FontAwesomeIcons.ring,
    'road': FontAwesomeIcons.road,
    'roadBarrier': FontAwesomeIcons.roadBarrier,
    'roadBridge': FontAwesomeIcons.roadBridge,
    'roadCircleCheck': FontAwesomeIcons.roadCircleCheck,
    'roadCircleExclamation': FontAwesomeIcons.roadCircleExclamation,
    'roadCircleXmark': FontAwesomeIcons.roadCircleXmark,
    'roadLock': FontAwesomeIcons.roadLock,
    'roadSpikes': FontAwesomeIcons.roadSpikes,
    'robot': FontAwesomeIcons.robot,
    'rocket': FontAwesomeIcons.rocket,
    'rocketchat': FontAwesomeIcons.rocketchat,
    'rockrms': FontAwesomeIcons.rockrms,
    'rotate': FontAwesomeIcons.rotate,
    'syncAlt': FontAwesomeIcons.rotate,
    'rotateLeft': FontAwesomeIcons.rotateLeft,
    'rotateBack': FontAwesomeIcons.rotateLeft,
    'rotateBackward': FontAwesomeIcons.rotateLeft,
    'undoAlt': FontAwesomeIcons.rotateLeft,
    'rotateRight': FontAwesomeIcons.rotateRight,
    'redoAlt': FontAwesomeIcons.rotateRight,
    'rotateForward': FontAwesomeIcons.rotateRight,
    'route': FontAwesomeIcons.route,
    'rss': FontAwesomeIcons.rss,
    'feed': FontAwesomeIcons.rss,
    'rubleSign': FontAwesomeIcons.rubleSign,
    'rouble': FontAwesomeIcons.rubleSign,
    'rub': FontAwesomeIcons.rubleSign,
    'ruble': FontAwesomeIcons.rubleSign,
    'rug': FontAwesomeIcons.rug,
    'ruler': FontAwesomeIcons.ruler,
    'rulerCombined': FontAwesomeIcons.rulerCombined,
    'rulerHorizontal': FontAwesomeIcons.rulerHorizontal,
    'rulerVertical': FontAwesomeIcons.rulerVertical,
    'rupeeSign': FontAwesomeIcons.rupeeSign,
    'rupee': FontAwesomeIcons.rupeeSign,
    'rupiahSign': FontAwesomeIcons.rupiahSign,
    'rust': FontAwesomeIcons.rust,
    's': FontAwesomeIcons.s,
    'sackDollar': FontAwesomeIcons.sackDollar,
    'sackXmark': FontAwesomeIcons.sackXmark,
    'safari': FontAwesomeIcons.safari,
    'sailboat': FontAwesomeIcons.sailboat,
    'salesforce': FontAwesomeIcons.salesforce,
    'sass': FontAwesomeIcons.sass,
    'satellite': FontAwesomeIcons.satellite,
    'satelliteDish': FontAwesomeIcons.satelliteDish,
    'scaleBalanced': FontAwesomeIcons.scaleBalanced,
    'balanceScale': FontAwesomeIcons.scaleBalanced,
    'scaleUnbalanced': FontAwesomeIcons.scaleUnbalanced,
    'balanceScaleLeft': FontAwesomeIcons.scaleUnbalanced,
    'scaleUnbalancedFlip': FontAwesomeIcons.scaleUnbalancedFlip,
    'balanceScaleRight': FontAwesomeIcons.scaleUnbalancedFlip,
    'schlix': FontAwesomeIcons.schlix,
    'school': FontAwesomeIcons.school,
    'schoolCircleCheck': FontAwesomeIcons.schoolCircleCheck,
    'schoolCircleExclamation': FontAwesomeIcons.schoolCircleExclamation,
    'schoolCircleXmark': FontAwesomeIcons.schoolCircleXmark,
    'schoolFlag': FontAwesomeIcons.schoolFlag,
    'schoolLock': FontAwesomeIcons.schoolLock,
    'scissors': FontAwesomeIcons.scissors,
    'cut': FontAwesomeIcons.scissors,
    'screenpal': FontAwesomeIcons.screenpal,
    'screwdriver': FontAwesomeIcons.screwdriver,
    'screwdriverWrench': FontAwesomeIcons.screwdriverWrench,
    'tools': FontAwesomeIcons.screwdriverWrench,
    'scribd': FontAwesomeIcons.scribd,
    'scroll': FontAwesomeIcons.scroll,
    'scrollTorah': FontAwesomeIcons.scrollTorah,
    'torah': FontAwesomeIcons.scrollTorah,
    'sdCard': FontAwesomeIcons.sdCard,
    'searchengin': FontAwesomeIcons.searchengin,
    'section': FontAwesomeIcons.section,
    'seedling': FontAwesomeIcons.seedling,
    'sprout': FontAwesomeIcons.seedling,
    'sellcast': FontAwesomeIcons.sellcast,
    'sellsy': FontAwesomeIcons.sellsy,
    'server': FontAwesomeIcons.server,
    'servicestack': FontAwesomeIcons.servicestack,
    'shapes': FontAwesomeIcons.shapes,
    'triangleCircleSquare': FontAwesomeIcons.shapes,
    'share': FontAwesomeIcons.share,
    'arrowTurnRight': FontAwesomeIcons.share,
    'mailForward': FontAwesomeIcons.share,
    'solidShareFromSquare': FontAwesomeIcons.solidShareFromSquare,
    'solidShareSquare': FontAwesomeIcons.solidShareFromSquare,
    'shareFromSquare': FontAwesomeIcons.shareFromSquare,
    'shareSquare': FontAwesomeIcons.shareFromSquare,
    'shareNodes': FontAwesomeIcons.shareNodes,
    'shareAlt': FontAwesomeIcons.shareNodes,
    'sheetPlastic': FontAwesomeIcons.sheetPlastic,
    'shekelSign': FontAwesomeIcons.shekelSign,
    'ils': FontAwesomeIcons.shekelSign,
    'shekel': FontAwesomeIcons.shekelSign,
    'sheqel': FontAwesomeIcons.shekelSign,
    'sheqelSign': FontAwesomeIcons.shekelSign,
    'shield': FontAwesomeIcons.shield,
    'shieldBlank': FontAwesomeIcons.shield,
    'shieldCat': FontAwesomeIcons.shieldCat,
    'shieldDog': FontAwesomeIcons.shieldDog,
    'shieldHalved': FontAwesomeIcons.shieldHalved,
    'shieldAlt': FontAwesomeIcons.shieldHalved,
    'shieldHeart': FontAwesomeIcons.shieldHeart,
    'shieldVirus': FontAwesomeIcons.shieldVirus,
    'ship': FontAwesomeIcons.ship,
    'shirt': FontAwesomeIcons.shirt,
    'tShirt': FontAwesomeIcons.shirt,
    'tshirt': FontAwesomeIcons.shirt,
    'shirtsinbulk': FontAwesomeIcons.shirtsinbulk,
    'shoePrints': FontAwesomeIcons.shoePrints,
    'shop': FontAwesomeIcons.shop,
    'storeAlt': FontAwesomeIcons.shop,
    'shopLock': FontAwesomeIcons.shopLock,
    'shopSlash': FontAwesomeIcons.shopSlash,
    'storeAltSlash': FontAwesomeIcons.shopSlash,
    'shopify': FontAwesomeIcons.shopify,
    'shopware': FontAwesomeIcons.shopware,
    'shower': FontAwesomeIcons.shower,
    'shrimp': FontAwesomeIcons.shrimp,
    'shuffle': FontAwesomeIcons.shuffle,
    'random': FontAwesomeIcons.shuffle,
    'shuttleSpace': FontAwesomeIcons.shuttleSpace,
    'spaceShuttle': FontAwesomeIcons.shuttleSpace,
    'signHanging': FontAwesomeIcons.signHanging,
    'sign': FontAwesomeIcons.signHanging,
    'signal': FontAwesomeIcons.signal,
    'signal5': FontAwesomeIcons.signal,
    'signalPerfect': FontAwesomeIcons.signal,
    'signature': FontAwesomeIcons.signature,
    'signsPost': FontAwesomeIcons.signsPost,
    'mapSigns': FontAwesomeIcons.signsPost,
    'simCard': FontAwesomeIcons.simCard,
    'simplybuilt': FontAwesomeIcons.simplybuilt,
    'sink': FontAwesomeIcons.sink,
    'sistrix': FontAwesomeIcons.sistrix,
    'sitemap': FontAwesomeIcons.sitemap,
    'sith': FontAwesomeIcons.sith,
    'sitrox': FontAwesomeIcons.sitrox,
    'sketch': FontAwesomeIcons.sketch,
    'skull': FontAwesomeIcons.skull,
    'skullCrossbones': FontAwesomeIcons.skullCrossbones,
    'skyatlas': FontAwesomeIcons.skyatlas,
    'skype': FontAwesomeIcons.skype,
    'slack': FontAwesomeIcons.slack,
    'slackHash': FontAwesomeIcons.slack,
    'slash': FontAwesomeIcons.slash,
    'sleigh': FontAwesomeIcons.sleigh,
    'sliders': FontAwesomeIcons.sliders,
    'slidersH': FontAwesomeIcons.sliders,
    'slideshare': FontAwesomeIcons.slideshare,
    'smog': FontAwesomeIcons.smog,
    'smoking': FontAwesomeIcons.smoking,
    'snapchat': FontAwesomeIcons.snapchat,
    'snapchatGhost': FontAwesomeIcons.snapchat,
    'solidSnowflake': FontAwesomeIcons.solidSnowflake,
    'snowflake': FontAwesomeIcons.snowflake,
    'snowman': FontAwesomeIcons.snowman,
    'snowplow': FontAwesomeIcons.snowplow,
    'soap': FontAwesomeIcons.soap,
    'socks': FontAwesomeIcons.socks,
    'solarPanel': FontAwesomeIcons.solarPanel,
    'sort': FontAwesomeIcons.sort,
    'unsorted': FontAwesomeIcons.sort,
    'sortDown': FontAwesomeIcons.sortDown,
    'sortDesc': FontAwesomeIcons.sortDown,
    'sortUp': FontAwesomeIcons.sortUp,
    'sortAsc': FontAwesomeIcons.sortUp,
    'soundcloud': FontAwesomeIcons.soundcloud,
    'sourcetree': FontAwesomeIcons.sourcetree,
    'spa': FontAwesomeIcons.spa,
    'spaceAwesome': FontAwesomeIcons.spaceAwesome,
    'spaghettiMonsterFlying': FontAwesomeIcons.spaghettiMonsterFlying,
    'pastafarianism': FontAwesomeIcons.spaghettiMonsterFlying,
    'speakap': FontAwesomeIcons.speakap,
    'speakerDeck': FontAwesomeIcons.speakerDeck,
    'spellCheck': FontAwesomeIcons.spellCheck,
    'spider': FontAwesomeIcons.spider,
    'spinner': FontAwesomeIcons.spinner,
    'splotch': FontAwesomeIcons.splotch,
    'spoon': FontAwesomeIcons.spoon,
    'utensilSpoon': FontAwesomeIcons.spoon,
    'spotify': FontAwesomeIcons.spotify,
    'sprayCan': FontAwesomeIcons.sprayCan,
    'sprayCanSparkles': FontAwesomeIcons.sprayCanSparkles,
    'airFreshener': FontAwesomeIcons.sprayCanSparkles,
    'solidSquare': FontAwesomeIcons.solidSquare,
    'square': FontAwesomeIcons.square,
    'squareArrowUpRight': FontAwesomeIcons.squareArrowUpRight,
    'externalLinkSquare': FontAwesomeIcons.squareArrowUpRight,
    'squareBehance': FontAwesomeIcons.squareBehance,
    'behanceSquare': FontAwesomeIcons.squareBehance,
    'solidSquareCaretDown': FontAwesomeIcons.solidSquareCaretDown,
    'solidCaretSquareDown': FontAwesomeIcons.solidSquareCaretDown,
    'squareCaretDown': FontAwesomeIcons.squareCaretDown,
    'caretSquareDown': FontAwesomeIcons.squareCaretDown,
    'solidSquareCaretLeft': FontAwesomeIcons.solidSquareCaretLeft,
    'solidCaretSquareLeft': FontAwesomeIcons.solidSquareCaretLeft,
    'squareCaretLeft': FontAwesomeIcons.squareCaretLeft,
    'caretSquareLeft': FontAwesomeIcons.squareCaretLeft,
    'solidSquareCaretRight': FontAwesomeIcons.solidSquareCaretRight,
    'solidCaretSquareRight': FontAwesomeIcons.solidSquareCaretRight,
    'squareCaretRight': FontAwesomeIcons.squareCaretRight,
    'caretSquareRight': FontAwesomeIcons.squareCaretRight,
    'solidSquareCaretUp': FontAwesomeIcons.solidSquareCaretUp,
    'solidCaretSquareUp': FontAwesomeIcons.solidSquareCaretUp,
    'squareCaretUp': FontAwesomeIcons.squareCaretUp,
    'caretSquareUp': FontAwesomeIcons.squareCaretUp,
    'solidSquareCheck': FontAwesomeIcons.solidSquareCheck,
    'solidCheckSquare': FontAwesomeIcons.solidSquareCheck,
    'squareCheck': FontAwesomeIcons.squareCheck,
    'checkSquare': FontAwesomeIcons.squareCheck,
    'squareDribbble': FontAwesomeIcons.squareDribbble,
    'dribbbleSquare': FontAwesomeIcons.squareDribbble,
    'squareEnvelope': FontAwesomeIcons.squareEnvelope,
    'envelopeSquare': FontAwesomeIcons.squareEnvelope,
    'squareFacebook': FontAwesomeIcons.squareFacebook,
    'facebookSquare': FontAwesomeIcons.squareFacebook,
    'squareFontAwesome': FontAwesomeIcons.squareFontAwesome,
    'squareFontAwesomeStroke': FontAwesomeIcons.squareFontAwesomeStroke,
    'fontAwesomeAlt': FontAwesomeIcons.squareFontAwesomeStroke,
    'solidSquareFull': FontAwesomeIcons.solidSquareFull,
    'squareFull': FontAwesomeIcons.squareFull,
    'squareGit': FontAwesomeIcons.squareGit,
    'gitSquare': FontAwesomeIcons.squareGit,
    'squareGithub': FontAwesomeIcons.squareGithub,
    'githubSquare': FontAwesomeIcons.squareGithub,
    'squareGitlab': FontAwesomeIcons.squareGitlab,
    'gitlabSquare': FontAwesomeIcons.squareGitlab,
    'squareGooglePlus': FontAwesomeIcons.squareGooglePlus,
    'googlePlusSquare': FontAwesomeIcons.squareGooglePlus,
    'squareH': FontAwesomeIcons.squareH,
    'hSquare': FontAwesomeIcons.squareH,
    'squareHackerNews': FontAwesomeIcons.squareHackerNews,
    'hackerNewsSquare': FontAwesomeIcons.squareHackerNews,
    'squareInstagram': FontAwesomeIcons.squareInstagram,
    'instagramSquare': FontAwesomeIcons.squareInstagram,
    'squareJs': FontAwesomeIcons.squareJs,
    'jsSquare': FontAwesomeIcons.squareJs,
    'squareLastfm': FontAwesomeIcons.squareLastfm,
    'lastfmSquare': FontAwesomeIcons.squareLastfm,
    'solidSquareMinus': FontAwesomeIcons.solidSquareMinus,
    'solidMinusSquare': FontAwesomeIcons.solidSquareMinus,
    'squareMinus': FontAwesomeIcons.squareMinus,
    'minusSquare': FontAwesomeIcons.squareMinus,
    'squareNfi': FontAwesomeIcons.squareNfi,
    'squareOdnoklassniki': FontAwesomeIcons.squareOdnoklassniki,
    'odnoklassnikiSquare': FontAwesomeIcons.squareOdnoklassniki,
    'squareParking': FontAwesomeIcons.squareParking,
    'parking': FontAwesomeIcons.squareParking,
    'squarePen': FontAwesomeIcons.squarePen,
    'penSquare': FontAwesomeIcons.squarePen,
    'pencilSquare': FontAwesomeIcons.squarePen,
    'squarePersonConfined': FontAwesomeIcons.squarePersonConfined,
    'squarePhone': FontAwesomeIcons.squarePhone,
    'phoneSquare': FontAwesomeIcons.squarePhone,
    'squarePhoneFlip': FontAwesomeIcons.squarePhoneFlip,
    'phoneSquareAlt': FontAwesomeIcons.squarePhoneFlip,
    'squarePiedPiper': FontAwesomeIcons.squarePiedPiper,
    'piedPiperSquare': FontAwesomeIcons.squarePiedPiper,
    'squarePinterest': FontAwesomeIcons.squarePinterest,
    'pinterestSquare': FontAwesomeIcons.squarePinterest,
    'solidSquarePlus': FontAwesomeIcons.solidSquarePlus,
    'solidPlusSquare': FontAwesomeIcons.solidSquarePlus,
    'squarePlus': FontAwesomeIcons.squarePlus,
    'plusSquare': FontAwesomeIcons.squarePlus,
    'squarePollHorizontal': FontAwesomeIcons.squarePollHorizontal,
    'pollH': FontAwesomeIcons.squarePollHorizontal,
    'squarePollVertical': FontAwesomeIcons.squarePollVertical,
    'poll': FontAwesomeIcons.squarePollVertical,
    'squareReddit': FontAwesomeIcons.squareReddit,
    'redditSquare': FontAwesomeIcons.squareReddit,
    'squareRootVariable': FontAwesomeIcons.squareRootVariable,
    'squareRootAlt': FontAwesomeIcons.squareRootVariable,
    'squareRss': FontAwesomeIcons.squareRss,
    'rssSquare': FontAwesomeIcons.squareRss,
    'squareShareNodes': FontAwesomeIcons.squareShareNodes,
    'shareAltSquare': FontAwesomeIcons.squareShareNodes,
    'squareSnapchat': FontAwesomeIcons.squareSnapchat,
    'snapchatSquare': FontAwesomeIcons.squareSnapchat,
    'squareSteam': FontAwesomeIcons.squareSteam,
    'steamSquare': FontAwesomeIcons.squareSteam,
    'squareTumblr': FontAwesomeIcons.squareTumblr,
    'tumblrSquare': FontAwesomeIcons.squareTumblr,
    'squareTwitter': FontAwesomeIcons.squareTwitter,
    'twitterSquare': FontAwesomeIcons.squareTwitter,
    'squareUpRight': FontAwesomeIcons.squareUpRight,
    'externalLinkSquareAlt': FontAwesomeIcons.squareUpRight,
    'squareViadeo': FontAwesomeIcons.squareViadeo,
    'viadeoSquare': FontAwesomeIcons.squareViadeo,
    'squareVimeo': FontAwesomeIcons.squareVimeo,
    'vimeoSquare': FontAwesomeIcons.squareVimeo,
    'squareVirus': FontAwesomeIcons.squareVirus,
    'squareWhatsapp': FontAwesomeIcons.squareWhatsapp,
    'whatsappSquare': FontAwesomeIcons.squareWhatsapp,
    'squareXing': FontAwesomeIcons.squareXing,
    'xingSquare': FontAwesomeIcons.squareXing,
    'squareXmark': FontAwesomeIcons.squareXmark,
    'timesSquare': FontAwesomeIcons.squareXmark,
    'xmarkSquare': FontAwesomeIcons.squareXmark,
    'squareYoutube': FontAwesomeIcons.squareYoutube,
    'youtubeSquare': FontAwesomeIcons.squareYoutube,
    'squarespace': FontAwesomeIcons.squarespace,
    'stackExchange': FontAwesomeIcons.stackExchange,
    'stackOverflow': FontAwesomeIcons.stackOverflow,
    'stackpath': FontAwesomeIcons.stackpath,
    'staffSnake': FontAwesomeIcons.staffSnake,
    'rodAsclepius': FontAwesomeIcons.staffSnake,
    'rodSnake': FontAwesomeIcons.staffSnake,
    'staffAesculapius': FontAwesomeIcons.staffSnake,
    'stairs': FontAwesomeIcons.stairs,
    'stamp': FontAwesomeIcons.stamp,
    'stapler': FontAwesomeIcons.stapler,
    'solidStar': FontAwesomeIcons.solidStar,
    'star': FontAwesomeIcons.star,
    'starAndCrescent': FontAwesomeIcons.starAndCrescent,
    'solidStarHalf': FontAwesomeIcons.solidStarHalf,
    'starHalf': FontAwesomeIcons.starHalf,
    'solidStarHalfStroke': FontAwesomeIcons.solidStarHalfStroke,
    'solidStarHalfAlt': FontAwesomeIcons.solidStarHalfStroke,
    'starHalfStroke': FontAwesomeIcons.starHalfStroke,
    'starHalfAlt': FontAwesomeIcons.starHalfStroke,
    'starOfDavid': FontAwesomeIcons.starOfDavid,
    'starOfLife': FontAwesomeIcons.starOfLife,
    'staylinked': FontAwesomeIcons.staylinked,
    'steam': FontAwesomeIcons.steam,
    'steamSymbol': FontAwesomeIcons.steamSymbol,
    'sterlingSign': FontAwesomeIcons.sterlingSign,
    'gbp': FontAwesomeIcons.sterlingSign,
    'poundSign': FontAwesomeIcons.sterlingSign,
    'stethoscope': FontAwesomeIcons.stethoscope,
    'stickerMule': FontAwesomeIcons.stickerMule,
    'stop': FontAwesomeIcons.stop,
    'stopwatch': FontAwesomeIcons.stopwatch,
    'stopwatch20': FontAwesomeIcons.stopwatch20,
    'store': FontAwesomeIcons.store,
    'storeSlash': FontAwesomeIcons.storeSlash,
    'strava': FontAwesomeIcons.strava,
    'streetView': FontAwesomeIcons.streetView,
    'strikethrough': FontAwesomeIcons.strikethrough,
    'stripe': FontAwesomeIcons.stripe,
    'stripeS': FontAwesomeIcons.stripeS,
    'stroopwafel': FontAwesomeIcons.stroopwafel,
    'studiovinari': FontAwesomeIcons.studiovinari,
    'stumbleupon': FontAwesomeIcons.stumbleupon,
    'stumbleuponCircle': FontAwesomeIcons.stumbleuponCircle,
    'subscript': FontAwesomeIcons.subscript,
    'suitcase': FontAwesomeIcons.suitcase,
    'suitcaseMedical': FontAwesomeIcons.suitcaseMedical,
    'medkit': FontAwesomeIcons.suitcaseMedical,
    'suitcaseRolling': FontAwesomeIcons.suitcaseRolling,
    'solidSun': FontAwesomeIcons.solidSun,
    'sun': FontAwesomeIcons.sun,
    'sunPlantWilt': FontAwesomeIcons.sunPlantWilt,
    'superpowers': FontAwesomeIcons.superpowers,
    'superscript': FontAwesomeIcons.superscript,
    'supple': FontAwesomeIcons.supple,
    'suse': FontAwesomeIcons.suse,
    'swatchbook': FontAwesomeIcons.swatchbook,
    'swift': FontAwesomeIcons.swift,
    'symfony': FontAwesomeIcons.symfony,
    'synagogue': FontAwesomeIcons.synagogue,
    'syringe': FontAwesomeIcons.syringe,
    't': FontAwesomeIcons.t,
    'table': FontAwesomeIcons.table,
    'tableCells': FontAwesomeIcons.tableCells,
    'th': FontAwesomeIcons.tableCells,
    'tableCellsLarge': FontAwesomeIcons.tableCellsLarge,
    'thLarge': FontAwesomeIcons.tableCellsLarge,
    'tableColumns': FontAwesomeIcons.tableColumns,
    'columns': FontAwesomeIcons.tableColumns,
    'tableList': FontAwesomeIcons.tableList,
    'thList': FontAwesomeIcons.tableList,
    'tableTennisPaddleBall': FontAwesomeIcons.tableTennisPaddleBall,
    'pingPongPaddleBall': FontAwesomeIcons.tableTennisPaddleBall,
    'tableTennis': FontAwesomeIcons.tableTennisPaddleBall,
    'tablet': FontAwesomeIcons.tablet,
    'tabletAndroid': FontAwesomeIcons.tablet,
    'tabletButton': FontAwesomeIcons.tabletButton,
    'tabletScreenButton': FontAwesomeIcons.tabletScreenButton,
    'tabletAlt': FontAwesomeIcons.tabletScreenButton,
    'tablets': FontAwesomeIcons.tablets,
    'tachographDigital': FontAwesomeIcons.tachographDigital,
    'digitalTachograph': FontAwesomeIcons.tachographDigital,
    'tag': FontAwesomeIcons.tag,
    'tags': FontAwesomeIcons.tags,
    'tape': FontAwesomeIcons.tape,
    'tarp': FontAwesomeIcons.tarp,
    'tarpDroplet': FontAwesomeIcons.tarpDroplet,
    'taxi': FontAwesomeIcons.taxi,
    'cab': FontAwesomeIcons.taxi,
    'teamspeak': FontAwesomeIcons.teamspeak,
    'teeth': FontAwesomeIcons.teeth,
    'teethOpen': FontAwesomeIcons.teethOpen,
    'telegram': FontAwesomeIcons.telegram,
    'telegramPlane': FontAwesomeIcons.telegram,
    'temperatureArrowDown': FontAwesomeIcons.temperatureArrowDown,
    'temperatureDown': FontAwesomeIcons.temperatureArrowDown,
    'temperatureArrowUp': FontAwesomeIcons.temperatureArrowUp,
    'temperatureUp': FontAwesomeIcons.temperatureArrowUp,
    'temperatureEmpty': FontAwesomeIcons.temperatureEmpty,
    'temperature0': FontAwesomeIcons.temperatureEmpty,
    'thermometer0': FontAwesomeIcons.temperatureEmpty,
    'thermometerEmpty': FontAwesomeIcons.temperatureEmpty,
    'temperatureFull': FontAwesomeIcons.temperatureFull,
    'temperature4': FontAwesomeIcons.temperatureFull,
    'thermometer4': FontAwesomeIcons.temperatureFull,
    'thermometerFull': FontAwesomeIcons.temperatureFull,
    'temperatureHalf': FontAwesomeIcons.temperatureHalf,
    'temperature2': FontAwesomeIcons.temperatureHalf,
    'thermometer2': FontAwesomeIcons.temperatureHalf,
    'thermometerHalf': FontAwesomeIcons.temperatureHalf,
    'temperatureHigh': FontAwesomeIcons.temperatureHigh,
    'temperatureLow': FontAwesomeIcons.temperatureLow,
    'temperatureQuarter': FontAwesomeIcons.temperatureQuarter,
    'temperature1': FontAwesomeIcons.temperatureQuarter,
    'thermometer1': FontAwesomeIcons.temperatureQuarter,
    'thermometerQuarter': FontAwesomeIcons.temperatureQuarter,
    'temperatureThreeQuarters': FontAwesomeIcons.temperatureThreeQuarters,
    'temperature3': FontAwesomeIcons.temperatureThreeQuarters,
    'thermometer3': FontAwesomeIcons.temperatureThreeQuarters,
    'thermometerThreeQuarters': FontAwesomeIcons.temperatureThreeQuarters,
    'tencentWeibo': FontAwesomeIcons.tencentWeibo,
    'tengeSign': FontAwesomeIcons.tengeSign,
    'tenge': FontAwesomeIcons.tengeSign,
    'tent': FontAwesomeIcons.tent,
    'tentArrowDownToLine': FontAwesomeIcons.tentArrowDownToLine,
    'tentArrowLeftRight': FontAwesomeIcons.tentArrowLeftRight,
    'tentArrowTurnLeft': FontAwesomeIcons.tentArrowTurnLeft,
    'tentArrowsDown': FontAwesomeIcons.tentArrowsDown,
    'tents': FontAwesomeIcons.tents,
    'terminal': FontAwesomeIcons.terminal,
    'textHeight': FontAwesomeIcons.textHeight,
    'textSlash': FontAwesomeIcons.textSlash,
    'removeFormat': FontAwesomeIcons.textSlash,
    'textWidth': FontAwesomeIcons.textWidth,
    'theRedYeti': FontAwesomeIcons.theRedYeti,
    'themeco': FontAwesomeIcons.themeco,
    'themeisle': FontAwesomeIcons.themeisle,
    'thermometer': FontAwesomeIcons.thermometer,
    'thinkPeaks': FontAwesomeIcons.thinkPeaks,
    'solidThumbsDown': FontAwesomeIcons.solidThumbsDown,
    'thumbsDown': FontAwesomeIcons.thumbsDown,
    'solidThumbsUp': FontAwesomeIcons.solidThumbsUp,
    'thumbsUp': FontAwesomeIcons.thumbsUp,
    'thumbtack': FontAwesomeIcons.thumbtack,
    'thumbTack': FontAwesomeIcons.thumbtack,
    'ticket': FontAwesomeIcons.ticket,
    'ticketSimple': FontAwesomeIcons.ticketSimple,
    'ticketAlt': FontAwesomeIcons.ticketSimple,
    'tiktok': FontAwesomeIcons.tiktok,
    'timeline': FontAwesomeIcons.timeline,
    'toggleOff': FontAwesomeIcons.toggleOff,
    'toggleOn': FontAwesomeIcons.toggleOn,
    'toilet': FontAwesomeIcons.toilet,
    'toiletPaper': FontAwesomeIcons.toiletPaper,
    'toiletPaperSlash': FontAwesomeIcons.toiletPaperSlash,
    'toiletPortable': FontAwesomeIcons.toiletPortable,
    'toiletsPortable': FontAwesomeIcons.toiletsPortable,
    'toolbox': FontAwesomeIcons.toolbox,
    'tooth': FontAwesomeIcons.tooth,
    'toriiGate': FontAwesomeIcons.toriiGate,
    'tornado': FontAwesomeIcons.tornado,
    'towerBroadcast': FontAwesomeIcons.towerBroadcast,
    'broadcastTower': FontAwesomeIcons.towerBroadcast,
    'towerCell': FontAwesomeIcons.towerCell,
    'towerObservation': FontAwesomeIcons.towerObservation,
    'tractor': FontAwesomeIcons.tractor,
    'tradeFederation': FontAwesomeIcons.tradeFederation,
    'trademark': FontAwesomeIcons.trademark,
    'trafficLight': FontAwesomeIcons.trafficLight,
    'trailer': FontAwesomeIcons.trailer,
    'train': FontAwesomeIcons.train,
    'trainSubway': FontAwesomeIcons.trainSubway,
    'subway': FontAwesomeIcons.trainSubway,
    'trainTram': FontAwesomeIcons.trainTram,
    'transgender': FontAwesomeIcons.transgender,
    'transgenderAlt': FontAwesomeIcons.transgender,
    'trash': FontAwesomeIcons.trash,
    'trashArrowUp': FontAwesomeIcons.trashArrowUp,
    'trashRestore': FontAwesomeIcons.trashArrowUp,
    'solidTrashCan': FontAwesomeIcons.solidTrashCan,
    'solidTrashAlt': FontAwesomeIcons.solidTrashCan,
    'trashCan': FontAwesomeIcons.trashCan,
    'trashAlt': FontAwesomeIcons.trashCan,
    'trashCanArrowUp': FontAwesomeIcons.trashCanArrowUp,
    'trashRestoreAlt': FontAwesomeIcons.trashCanArrowUp,
    'tree': FontAwesomeIcons.tree,
    'treeCity': FontAwesomeIcons.treeCity,
    'trello': FontAwesomeIcons.trello,
    'triangleExclamation': FontAwesomeIcons.triangleExclamation,
    'exclamationTriangle': FontAwesomeIcons.triangleExclamation,
    'warning': FontAwesomeIcons.triangleExclamation,
    'trophy': FontAwesomeIcons.trophy,
    'trowel': FontAwesomeIcons.trowel,
    'trowelBricks': FontAwesomeIcons.trowelBricks,
    'truck': FontAwesomeIcons.truck,
    'truckArrowRight': FontAwesomeIcons.truckArrowRight,
    'truckDroplet': FontAwesomeIcons.truckDroplet,
    'truckFast': FontAwesomeIcons.truckFast,
    'shippingFast': FontAwesomeIcons.truckFast,
    'truckField': FontAwesomeIcons.truckField,
    'truckFieldUn': FontAwesomeIcons.truckFieldUn,
    'truckFront': FontAwesomeIcons.truckFront,
    'truckMedical': FontAwesomeIcons.truckMedical,
    'ambulance': FontAwesomeIcons.truckMedical,
    'truckMonster': FontAwesomeIcons.truckMonster,
    'truckMoving': FontAwesomeIcons.truckMoving,
    'truckPickup': FontAwesomeIcons.truckPickup,
    'truckPlane': FontAwesomeIcons.truckPlane,
    'truckRampBox': FontAwesomeIcons.truckRampBox,
    'truckLoading': FontAwesomeIcons.truckRampBox,
    'tty': FontAwesomeIcons.tty,
    'teletype': FontAwesomeIcons.tty,
    'tumblr': FontAwesomeIcons.tumblr,
    'turkishLiraSign': FontAwesomeIcons.turkishLiraSign,
    'turkishLira': FontAwesomeIcons.turkishLiraSign,
    'turnDown': FontAwesomeIcons.turnDown,
    'levelDownAlt': FontAwesomeIcons.turnDown,
    'turnUp': FontAwesomeIcons.turnUp,
    'levelUpAlt': FontAwesomeIcons.turnUp,
    'tv': FontAwesomeIcons.tv,
    'television': FontAwesomeIcons.tv,
    'tvAlt': FontAwesomeIcons.tv,
    'twitch': FontAwesomeIcons.twitch,
    'twitter': FontAwesomeIcons.twitter,
    'typo3': FontAwesomeIcons.typo3,
    'u': FontAwesomeIcons.u,
    'uber': FontAwesomeIcons.uber,
    'ubuntu': FontAwesomeIcons.ubuntu,
    'uikit': FontAwesomeIcons.uikit,
    'umbraco': FontAwesomeIcons.umbraco,
    'umbrella': FontAwesomeIcons.umbrella,
    'umbrellaBeach': FontAwesomeIcons.umbrellaBeach,
    'uncharted': FontAwesomeIcons.uncharted,
    'underline': FontAwesomeIcons.underline,
    'uniregistry': FontAwesomeIcons.uniregistry,
    'unity': FontAwesomeIcons.unity,
    'universalAccess': FontAwesomeIcons.universalAccess,
    'unlock': FontAwesomeIcons.unlock,
    'unlockKeyhole': FontAwesomeIcons.unlockKeyhole,
    'unlockAlt': FontAwesomeIcons.unlockKeyhole,
    'unsplash': FontAwesomeIcons.unsplash,
    'untappd': FontAwesomeIcons.untappd,
    'upDown': FontAwesomeIcons.upDown,
    'arrowsAltV': FontAwesomeIcons.upDown,
    'upDownLeftRight': FontAwesomeIcons.upDownLeftRight,
    'arrowsAlt': FontAwesomeIcons.upDownLeftRight,
    'upLong': FontAwesomeIcons.upLong,
    'longArrowAltUp': FontAwesomeIcons.upLong,
    'upRightAndDownLeftFromCenter':
        FontAwesomeIcons.upRightAndDownLeftFromCenter,
    'expandAlt': FontAwesomeIcons.upRightAndDownLeftFromCenter,
    'upRightFromSquare': FontAwesomeIcons.upRightFromSquare,
    'externalLinkAlt': FontAwesomeIcons.upRightFromSquare,
    'upload': FontAwesomeIcons.upload,
    'ups': FontAwesomeIcons.ups,
    'usb': FontAwesomeIcons.usb,
    'solidUser': FontAwesomeIcons.solidUser,
    'user': FontAwesomeIcons.user,
    'userAstronaut': FontAwesomeIcons.userAstronaut,
    'userCheck': FontAwesomeIcons.userCheck,
    'userClock': FontAwesomeIcons.userClock,
    'userDoctor': FontAwesomeIcons.userDoctor,
    'userMd': FontAwesomeIcons.userDoctor,
    'userGear': FontAwesomeIcons.userGear,
    'userCog': FontAwesomeIcons.userGear,
    'userGraduate': FontAwesomeIcons.userGraduate,
    'userGroup': FontAwesomeIcons.userGroup,
    'userFriends': FontAwesomeIcons.userGroup,
    'userInjured': FontAwesomeIcons.userInjured,
    'userLarge': FontAwesomeIcons.userLarge,
    'userAlt': FontAwesomeIcons.userLarge,
    'userLargeSlash': FontAwesomeIcons.userLargeSlash,
    'userAltSlash': FontAwesomeIcons.userLargeSlash,
    'userLock': FontAwesomeIcons.userLock,
    'userMinus': FontAwesomeIcons.userMinus,
    'userNinja': FontAwesomeIcons.userNinja,
    'userNurse': FontAwesomeIcons.userNurse,
    'userPen': FontAwesomeIcons.userPen,
    'userEdit': FontAwesomeIcons.userPen,
    'userPlus': FontAwesomeIcons.userPlus,
    'userSecret': FontAwesomeIcons.userSecret,
    'userShield': FontAwesomeIcons.userShield,
    'userSlash': FontAwesomeIcons.userSlash,
    'userTag': FontAwesomeIcons.userTag,
    'userTie': FontAwesomeIcons.userTie,
    'userXmark': FontAwesomeIcons.userXmark,
    'userTimes': FontAwesomeIcons.userXmark,
    'users': FontAwesomeIcons.users,
    'usersBetweenLines': FontAwesomeIcons.usersBetweenLines,
    'usersGear': FontAwesomeIcons.usersGear,
    'usersCog': FontAwesomeIcons.usersGear,
    'usersLine': FontAwesomeIcons.usersLine,
    'usersRays': FontAwesomeIcons.usersRays,
    'usersRectangle': FontAwesomeIcons.usersRectangle,
    'usersSlash': FontAwesomeIcons.usersSlash,
    'usersViewfinder': FontAwesomeIcons.usersViewfinder,
    'usps': FontAwesomeIcons.usps,
    'ussunnah': FontAwesomeIcons.ussunnah,
    'utensils': FontAwesomeIcons.utensils,
    'cutlery': FontAwesomeIcons.utensils,
    'v': FontAwesomeIcons.v,
    'vaadin': FontAwesomeIcons.vaadin,
    'vanShuttle': FontAwesomeIcons.vanShuttle,
    'shuttleVan': FontAwesomeIcons.vanShuttle,
    'vault': FontAwesomeIcons.vault,
    'vectorSquare': FontAwesomeIcons.vectorSquare,
    'venus': FontAwesomeIcons.venus,
    'venusDouble': FontAwesomeIcons.venusDouble,
    'venusMars': FontAwesomeIcons.venusMars,
    'vest': FontAwesomeIcons.vest,
    'vestPatches': FontAwesomeIcons.vestPatches,
    'viacoin': FontAwesomeIcons.viacoin,
    'viadeo': FontAwesomeIcons.viadeo,
    'vial': FontAwesomeIcons.vial,
    'vialCircleCheck': FontAwesomeIcons.vialCircleCheck,
    'vialVirus': FontAwesomeIcons.vialVirus,
    'vials': FontAwesomeIcons.vials,
    'viber': FontAwesomeIcons.viber,
    'video': FontAwesomeIcons.video,
    'videoCamera': FontAwesomeIcons.video,
    'videoSlash': FontAwesomeIcons.videoSlash,
    'vihara': FontAwesomeIcons.vihara,
    'vimeo': FontAwesomeIcons.vimeo,
    'vimeoV': FontAwesomeIcons.vimeoV,
    'vine': FontAwesomeIcons.vine,
    'virus': FontAwesomeIcons.virus,
    'virusCovid': FontAwesomeIcons.virusCovid,
    'virusCovidSlash': FontAwesomeIcons.virusCovidSlash,
    'virusSlash': FontAwesomeIcons.virusSlash,
    'viruses': FontAwesomeIcons.viruses,
    'vk': FontAwesomeIcons.vk,
    'vnv': FontAwesomeIcons.vnv,
    'voicemail': FontAwesomeIcons.voicemail,
    'volcano': FontAwesomeIcons.volcano,
    'volleyball': FontAwesomeIcons.volleyball,
    'volleyballBall': FontAwesomeIcons.volleyball,
    'volumeHigh': FontAwesomeIcons.volumeHigh,
    'volumeUp': FontAwesomeIcons.volumeHigh,
    'volumeLow': FontAwesomeIcons.volumeLow,
    'volumeDown': FontAwesomeIcons.volumeLow,
    'volumeOff': FontAwesomeIcons.volumeOff,
    'volumeXmark': FontAwesomeIcons.volumeXmark,
    'volumeMute': FontAwesomeIcons.volumeXmark,
    'volumeTimes': FontAwesomeIcons.volumeXmark,
    'vrCardboard': FontAwesomeIcons.vrCardboard,
    'vuejs': FontAwesomeIcons.vuejs,
    'w': FontAwesomeIcons.w,
    'walkieTalkie': FontAwesomeIcons.walkieTalkie,
    'wallet': FontAwesomeIcons.wallet,
    'wandMagic': FontAwesomeIcons.wandMagic,
    'magic': FontAwesomeIcons.wandMagic,
    'wandMagicSparkles': FontAwesomeIcons.wandMagicSparkles,
    'magicWandSparkles': FontAwesomeIcons.wandMagicSparkles,
    'wandSparkles': FontAwesomeIcons.wandSparkles,
    'warehouse': FontAwesomeIcons.warehouse,
    'watchmanMonitoring': FontAwesomeIcons.watchmanMonitoring,
    'water': FontAwesomeIcons.water,
    'waterLadder': FontAwesomeIcons.waterLadder,
    'ladderWater': FontAwesomeIcons.waterLadder,
    'swimmingPool': FontAwesomeIcons.waterLadder,
    'waveSquare': FontAwesomeIcons.waveSquare,
    'waze': FontAwesomeIcons.waze,
    'weebly': FontAwesomeIcons.weebly,
    'weibo': FontAwesomeIcons.weibo,
    'weightHanging': FontAwesomeIcons.weightHanging,
    'weightScale': FontAwesomeIcons.weightScale,
    'weight': FontAwesomeIcons.weightScale,
    'weixin': FontAwesomeIcons.weixin,
    'whatsapp': FontAwesomeIcons.whatsapp,
    'wheatAwn': FontAwesomeIcons.wheatAwn,
    'wheatAlt': FontAwesomeIcons.wheatAwn,
    'wheatAwnCircleExclamation': FontAwesomeIcons.wheatAwnCircleExclamation,
    'wheelchair': FontAwesomeIcons.wheelchair,
    'wheelchairMove': FontAwesomeIcons.wheelchairMove,
    'wheelchairAlt': FontAwesomeIcons.wheelchairMove,
    'whiskeyGlass': FontAwesomeIcons.whiskeyGlass,
    'glassWhiskey': FontAwesomeIcons.whiskeyGlass,
    'whmcs': FontAwesomeIcons.whmcs,
    'wifi': FontAwesomeIcons.wifi,
    'wifi3': FontAwesomeIcons.wifi,
    'wifiStrong': FontAwesomeIcons.wifi,
    'wikipediaW': FontAwesomeIcons.wikipediaW,
    'wind': FontAwesomeIcons.wind,
    'solidWindowMaximize': FontAwesomeIcons.solidWindowMaximize,
    'windowMaximize': FontAwesomeIcons.windowMaximize,
    'solidWindowMinimize': FontAwesomeIcons.solidWindowMinimize,
    'windowMinimize': FontAwesomeIcons.windowMinimize,
    'solidWindowRestore': FontAwesomeIcons.solidWindowRestore,
    'windowRestore': FontAwesomeIcons.windowRestore,
    'windows': FontAwesomeIcons.windows,
    'wineBottle': FontAwesomeIcons.wineBottle,
    'wineGlass': FontAwesomeIcons.wineGlass,
    'wineGlassEmpty': FontAwesomeIcons.wineGlassEmpty,
    'wineGlassAlt': FontAwesomeIcons.wineGlassEmpty,
    'wirsindhandwerk': FontAwesomeIcons.wirsindhandwerk,
    'wsh': FontAwesomeIcons.wirsindhandwerk,
    'wix': FontAwesomeIcons.wix,
    'wizardsOfTheCoast': FontAwesomeIcons.wizardsOfTheCoast,
    'wodu': FontAwesomeIcons.wodu,
    'wolfPackBattalion': FontAwesomeIcons.wolfPackBattalion,
    'wonSign': FontAwesomeIcons.wonSign,
    'krw': FontAwesomeIcons.wonSign,
    'won': FontAwesomeIcons.wonSign,
    'wordpress': FontAwesomeIcons.wordpress,
    'wordpressSimple': FontAwesomeIcons.wordpressSimple,
    'worm': FontAwesomeIcons.worm,
    'wpbeginner': FontAwesomeIcons.wpbeginner,
    'wpexplorer': FontAwesomeIcons.wpexplorer,
    'wpforms': FontAwesomeIcons.wpforms,
    'wpressr': FontAwesomeIcons.wpressr,
    'rendact': FontAwesomeIcons.wpressr,
    'wrench': FontAwesomeIcons.wrench,
    'x': FontAwesomeIcons.x,
    'xRay': FontAwesomeIcons.xRay,
    'xbox': FontAwesomeIcons.xbox,
    'xing': FontAwesomeIcons.xing,
    'xmark': FontAwesomeIcons.xmark,
    'close': FontAwesomeIcons.xmark,
    'multiply': FontAwesomeIcons.xmark,
    'remove': FontAwesomeIcons.xmark,
    'times': FontAwesomeIcons.xmark,
    'xmarksLines': FontAwesomeIcons.xmarksLines,
    'y': FontAwesomeIcons.y,
    'yCombinator': FontAwesomeIcons.yCombinator,
    'yahoo': FontAwesomeIcons.yahoo,
    'yammer': FontAwesomeIcons.yammer,
    'yandex': FontAwesomeIcons.yandex,
    'yandexInternational': FontAwesomeIcons.yandexInternational,
    'yarn': FontAwesomeIcons.yarn,
    'yelp': FontAwesomeIcons.yelp,
    'yenSign': FontAwesomeIcons.yenSign,
    'cny': FontAwesomeIcons.yenSign,
    'jpy': FontAwesomeIcons.yenSign,
    'rmb': FontAwesomeIcons.yenSign,
    'yen': FontAwesomeIcons.yenSign,
    'yinYang': FontAwesomeIcons.yinYang,
    'yoast': FontAwesomeIcons.yoast,
    'youtube': FontAwesomeIcons.youtube,
    'z': FontAwesomeIcons.z,
    'zhihu': FontAwesomeIcons.zhihu,
  };
}
